(*----------------------------------------------------------------------*
 *                                                                      *
 *  MAGIC        Modular  Applications  GEM  Interface  Cadre           *
 *                                                                 *
 *----------------------------------------------------------------------*
 * Version 4.00  01.01.1994   (C)1990..1994 by Peter Hellinger Software *
 *----------------------------------------------------------------------*
 *            Dieses Modul ist urheberrechtlich geschtzt.              *
 *                                                                      *
 * Die Verffentlichung des Quelltextes oder Teilen daraus, sowie die   *
 * Verbreitung des bersetzten, nicht gelinkten Codes in schriftlicher, *
 * oder maschinenlesbarer Form, insbesondere in Zeitschriften, Mail-    *
 * boxen oder anderen Medien bedarf der ausdrcklichen schriftlichen    *
 * Einverstndnisserklrung des Autors.                                 *
 *                                                                      *
 * Die Verbreitung des Moduls als Teil eines gelinkten Programms ist    *
 * fr Lizenznehmer ausdrcklich erlaubt!  Der Autor behlt sich das    *
 * Recht vor, diese Erlaubnis jederzeit und ohne Angaben von Grnden    *
 * zu widerrufen.                                                       *
 *----------------------------------------------------------------------*)
 
DEFINITION MODULE M_Area;

IMPORT M_Types, M_VDI, SYSTEM;

TYPE    AREA =           POINTER TO AreaDescr;
        AreaDescr =      RECORD (* Nicht DIREKT zugreifen!!! *)
                          x:     SHORTINT;
                          y:     SHORTINT;
                          w:     SHORTINT;
                          h:     SHORTINT;
                          init:  BOOLEAN;
                          size:  LONGINT;
                          mfdbadr: SYSTEM.ADDRESS;
                          mfdb:  M_VDI.MFDB;
                         END;

PROCEDURE NewAREA (VAR a: AREA): BOOLEAN;
PROCEDURE DisposeAREA (VAR a: AREA);
PROCEDURE FreeArea (a: AREA);
PROCEDURE SaveArea (hndl: SHORTINT; a: AREA; rect: M_Types.tRect): BOOLEAN;
PROCEDURE CopyArea (hndl: SHORTINT; a: AREA; xx, yy: SHORTINT);
PROCEDURE RestoreArea (hndl: SHORTINT; a: AREA);
PROCEDURE MoveArea (hndl: SHORTINT; a: AREA; xmove, ymove: SHORTINT; 
                    VAR xx, yy: SHORTINT);
PROCEDURE SetMFDB (VAR m: M_VDI.MFDB; adr: SYSTEM.ADDRESS; w, h, fm, planes: SHORTINT);

END M_Area.

