(*----------------------------------------------------------------------*
 *                                                                      *
 *  MAGIC        Modular  Applications  GEM  Interface  Cadre           *
 *                                                                 *
 *----------------------------------------------------------------------*
 * Version 4.00  01.01.1994   (C)1990..1992 by Peter Hellinger Software *
 *----------------------------------------------------------------------*
 *            Dieses Modul ist urheberrechtlich geschtzt.              *
 *                                                                      *
 * Die Verffentlichung des Quelltextes oder Teilen daraus, sowie die   *
 * Verbreitung des bersetzten, nicht gelinkten Codes in schriftlicher, *
 * oder maschinenlesbarer Form, insbesondere in Zeitschriften, Mail-    *
 * boxen oder anderen Medien bedarf der ausdrcklichen schriftlichen    *
 * Einverstndnisserklrung des Autors.                                 *
 *                                                                      *
 * Die Verbreitung des Moduls als Teil eines gelinkten Programms ist    *
 * fr Lizenznehmer ausdrcklich erlaubt!  Der Autor behlt sich das    *
 * Recht vor, diese Erlaubnis jederzeit und ohne Angaben von Grnden    *
 * zu widerrufen.                                                       *
 *----------------------------------------------------------------------*)
 
DEFINITION MODULE M_BitOps;

FROM SYSTEM IMPORT LOC;

TYPE    Operation = (and, or, xor);

PROCEDURE BitOp (op: Operation; c1, c2: ARRAY OF LOC; VAR val: ARRAY OF LOC);
PROCEDURE SetBit (pos: SHORTCARD; VAR val: ARRAY OF LOC);
PROCEDURE ClearBit (pos: SHORTCARD; VAR val: ARRAY OF LOC);
PROCEDURE IsSet (pos: SHORTCARD; val: ARRAY OF LOC): BOOLEAN;
PROCEDURE ShiftLeft  (VAR val: ARRAY OF LOC; num: SHORTCARD);
PROCEDURE ShiftRight (VAR val: ARRAY OF LOC; num: SHORTCARD);

END M_BitOps.

