(*----------------------------------------------------------------------*
 *                                                                      *
 *  MAGIC        Modular  Applications  GEM  Interface  Cadre           *
 *                                                                 *
 *----------------------------------------------------------------------*
 * Version 4.00  01.01.1994   (C)1990..1994 by Peter Hellinger Software *
 *----------------------------------------------------------------------*
 *            Dieses Modul ist urheberrechtlich geschtzt.              *
 *                                                                      *
 * Die Verffentlichung des Quelltextes oder Teilen daraus, sowie die   *
 * Verbreitung des bersetzten, nicht gelinkten Codes in schriftlicher, *
 * oder maschinenlesbarer Form, insbesondere in Zeitschriften, Mail-    *
 * boxen oder anderen Medien bedarf der ausdrcklichen schriftlichen    *
 * Einverstndnisserklrung des Autors.                                 *
 *                                                                      *
 * Die Verbreitung des Moduls als Teil eines gelinkten Programms ist    *
 * fr Lizenznehmer ausdrcklich erlaubt!  Der Autor behlt sich das    *
 * Recht vor, diese Erlaubnis jederzeit und ohne Angaben von Grnden    *
 * zu widerrufen.                                                       *
 *----------------------------------------------------------------------*)
 
DEFINITION MODULE M_Convert;

PROCEDURE NumToStr (num: LONGINT; len, base: SHORTINT; neg: BOOLEAN;
                    VAR s: ARRAY OF CHAR);
PROCEDURE StrToNum (s: ARRAY OF CHAR; base: SHORTINT; neg: BOOLEAN;
                    max: LONGINT): LONGINT;
PROCEDURE StrToInt      (s: ARRAY OF CHAR): SHORTINT;
PROCEDURE StrToLInt     (s: ARRAY OF CHAR): LONGINT;
PROCEDURE HexToInt      (s: ARRAY OF CHAR): SHORTINT;
PROCEDURE HexToLInt     (s: ARRAY OF CHAR): LONGINT;
PROCEDURE StrToReal     (s: ARRAY OF CHAR): REAL;
PROCEDURE IntToStr      (v: SHORTINT; n: SHORTINT; VAR s: ARRAY OF CHAR);
PROCEDURE IntToHexStr   (v: SHORTINT; n: SHORTINT; VAR s: ARRAY OF CHAR);
PROCEDURE LIntToStr     (v: LONGINT; n: SHORTINT; VAR s: ARRAY OF CHAR);
PROCEDURE LIntToHexStr  (v: LONGINT; n: SHORTINT; VAR s: ARRAY OF CHAR);
PROCEDURE RealToStr     (v: REAL;    n: SHORTINT; VAR s: ARRAY OF CHAR);

END M_Convert.

