(*----------------------------------------------------------------------*
 *                                                                      *
 *  MAGIC        Modular  Applications  GEM  Interface  Cadre           *
 *                                                                 *
 *----------------------------------------------------------------------*
 * Version 4.00  01.01.1994   (C)1990..1994 by Peter Hellinger Software *
 *----------------------------------------------------------------------*
 *            Dieses Modul ist urheberrechtlich geschtzt.              *
 *                                                                      *
 * Die Verffentlichung des Quelltextes oder Teilen daraus, sowie die   *
 * Verbreitung des bersetzten, nicht gelinkten Codes in schriftlicher, *
 * oder maschinenlesbarer Form, insbesondere in Zeitschriften, Mail-    *
 * boxen oder anderen Medien bedarf der ausdrcklichen schriftlichen    *
 * Einverstndnisserklrung des Autors.                                 *
 *                                                                      *
 * Die Verbreitung des Moduls als Teil eines gelinkten Programms ist    *
 * fr Lizenznehmer ausdrcklich erlaubt!  Der Autor behlt sich das    *
 * Recht vor, diese Erlaubnis jederzeit und ohne Angaben von Grnden    *
 * zu widerrufen.                                                       *
 *----------------------------------------------------------------------*)

DEFINITION MODULE M_Fontselector;

IMPORT M_Types;

CONST fsFlydial =      M_Types.Bit0;   (* Normaler Dialog                 *)
      fsModal =        M_Types.Bit1;   (* Selektor in Fenster             *)
      fsNonmodal =     M_Types.Bit2;   (* Selektor ist nicht-modal        *)
      fsMonospaced =   M_Types.Bit3;   (* Nur monospaced Fonts            *)
      fsEffect =       M_Types.Bit4;   (* Texteffekte auswhlen           *)
      fsColor =        M_Types.Bit5;   (* Farbe auswhlen                 *)
      fsRotation =     M_Types.Bit6;   (* Rotation einstellen             *)
      fsWidth =        M_Types.Bit7;   (* Breite bei FSM-Fonts einstellen *)
      fsSpeedoOnly =   M_Types.Bit8;   (* Nur Speedofonts anzeigen        *)
      fsBitmapOnly =   M_Types.Bit9;   (* Nur Speedofonts anzeigen        *)
      fsTruetypeOnly = M_Types.Bit10;  (* Nur Truetypefonts anzeigen      *)
      fsType1Only =    M_Types.Bit11;  (* Nur Type1-Fonts zulassen        *)
      fsFixType =      M_Types.Bit12;  (* Typselektion nicht zulassen     *)
      fsOwntext =      M_Types.Bit13;  (* Eigenen Text in die Auswahlbox  *)


PROCEDURE FontSelector (handle: SHORTINT; msg: ARRAY OF CHAR; opt: BITSET);
PROCEDURE FontPSelector (handle, x, y: SHORTINT; msg: ARRAY OF CHAR; opt: BITSET);
PROCEDURE CloseSelector;
PROCEDURE SampleSentence (txt: ARRAY OF CHAR);
PROCEDURE RedrawSelector;
PROCEDURE SelectorInfo (VAR win, xpos, ypos, font: SHORTINT);

END M_Fontselector.

