(*----------------------------------------------------------------------*)

IMPLEMENTATION MODULE M_Menus;

FROM Portab IMPORT tCompiler, Compiler;
(*$?Compiler=Haenisch:
(* IMPLEMENTATION FR  >>> Hnisch-Modula-2 <<< *)
(*                                              *)
(*$V-   Range-Checks                            *)
(*$T-   Parameter-Checks                        *)
(*$S-   Stack-Check                             *)
(*$Y-   Runtime-Checks                          *)
(*$I-   keine Variablen-Initialisierung         *)
(*                                              *)
(*----------------------------------------------*)
 *)

(*$?Compiler=Megamax:
(* IMPLEMENTATION FR  >>> Megamax-Modula-2 <<< *)
(*                                              *)
(*$R-   Range-Checks                            *)
(*$S-   Stack-Check                             *)
(*                                              *)
(*----------------------------------------------*)
 *)

IMPORT SYSTEM, M_Types, M_AES;
FROM Storage IMPORT ALLOCATE, DEALLOCATE;
FROM M_Sys IMPORT App, CallMagic;


(*$?Compiler=Megamax:
  IMPORT Calls, MOSGlobals;

TYPE    PtrMH =         POINTER TO MH;
        MH =            RECORD
                         tree:    SYSTEM.ADDRESS;
                         handler: MenuHandler;
                         next:    PtrMH;
                        END;

VAR     mhlist:         PtrMH;
        p, q:           PtrMH;
        mem:            MOSGlobals.MemArea;
        stack:          ARRAY [0..M_Types.Stacksize-1] OF SYSTEM.BYTE;
        caller:         SYSTEM.ADDRESS;

  (*$R-*)
  (*$S-*)
  PROCEDURE mm2 (VAR regs: Calls.Registers);
  VAR a: PtrMenupara;
  BEGIN
   a:= regs.regA0.ad;
   p:= mhlist;
   WHILE p <> NIL DO
    IF p^.tree = a^.tree THEN  p^.handler (a);  RETURN  END;
    p:= p^.next;
   END;
  END mm2;
  (*$S=*)
  (*$R=*)
 *)

PROCEDURE InitMenuline (menu: M_AES.tObjctree; handler: MenuHandler;
                       lines: BOOLEAN): BOOLEAN;
BEGIN
(*$?Compiler=Megamax:
 NEW (q);
 q^.tree:= menu;
 q^.handler:= handler;
 q^.next:= mhlist;
 mhlist:= q;
 *)
 App^.MagicPB^.AddrIn[0]:= menu;
(*$?Compiler=Haenisch:
 App^.MagicPB^.AddrIn[1]:= SYSTEM.ADDRESS(handler);
 *)
(*$?Compiler=Megamax:
 App^.MagicPB^.AddrIn[1]:= caller;
 *)
 App^.MagicPB^.IntIn[0]:= ORD (lines);
 CallMagic (1600);
 RETURN App^.MagicPB^.IntOut[0] = 1;
END InitMenuline;

PROCEDURE InstallDeskMenu (menu: M_AES.tObjctree);
BEGIN
 App^.MagicPB^.AddrIn[0]:= menu;
 CallMagic (1601);
END InstallDeskMenu;

PROCEDURE ReleaseDeskMenu;
BEGIN
 CallMagic (1602);
END ReleaseDeskMenu;

PROCEDURE DisableDeskMenu;
BEGIN
 CallMagic (1603);
END DisableDeskMenu;

PROCEDURE EnableDeskMenu;
BEGIN
 CallMagic (1604);
END EnableDeskMenu;

BEGIN
(*$?Compiler=Megamax:
 mhlist:= NIL;
 mem.bottom:= SYSTEM.ADR (stack);
 mem.length:= M_Types.Stacksize;
 Calls.NewCaller (mm2, FALSE, mem, caller);
 IF caller = NIL THEN  HALT;  END;
 *)
END M_Menus.
