IMPLEMENTATION MODULE M_Profile;

FROM M_Sys IMPORT App, CallMagic;
FROM SYSTEM IMPORT ADR;

PROCEDURE ReadProfile (name: ARRAY OF CHAR): BOOLEAN;
BEGIN
 App^.MagicPB^.AddrIn[0]:= ADR (name);
 CallMagic (1200);
 RETURN BOOLEAN (App^.MagicPB^.IntOut[0]);
END ReadProfile;

PROCEDURE FreeProfile;
BEGIN
 CallMagic (1204);
END FreeProfile;

PROCEDURE GetValue (token: ARRAY OF CHAR; VAR val: LONGINT): BOOLEAN;
BEGIN
 App^.MagicPB^.AddrIn[0]:= ADR (token);
 CallMagic (1201);
 val:= App^.MagicPB^.LongOut[0];
 RETURN BOOLEAN (App^.MagicPB^.IntOut[0]);
END GetValue;

PROCEDURE GetBoolean (token: ARRAY OF CHAR; VAR val: BOOLEAN): BOOLEAN;
BEGIN
 App^.MagicPB^.AddrIn[0]:= ADR (token);
 CallMagic (1202);
 val:= BOOLEAN (App^.MagicPB^.IntOut[1]);
 RETURN BOOLEAN (App^.MagicPB^.IntOut[0]);
END GetBoolean;

PROCEDURE GetString (token: ARRAY OF CHAR; VAR val: ARRAY OF CHAR): BOOLEAN;
BEGIN
 App^.MagicPB^.AddrIn[0]:= ADR (token);
 App^.MagicPB^.AddrIn[1]:= ADR (val);
 CallMagic (1203);
 RETURN BOOLEAN (App^.MagicPB^.IntOut[0]);
END GetString;

PROCEDURE GetSV (token: ARRAY OF CHAR; num: INTEGER; VAR val: ARRAY OF LONGINT): BOOLEAN;
BEGIN
 App^.MagicPB^.IntIn[0]:= num;
 App^.MagicPB^.AddrIn[0]:= ADR (token);
 App^.MagicPB^.AddrIn[1]:= ADR (val);
 CallMagic (1205);
 RETURN BOOLEAN (App^.MagicPB^.IntOut[0]);
END GetSV;

END M_Profile.