(*----------------------------------------------------------------------*
 *                                                                      *
 *  MAGIC        Modular  Applications  GEM  Interface  Cadre           *
 *                                                                 *
 *----------------------------------------------------------------------*
 * Version 4.00  01.01.1994   (C)1990..1994 by Peter Hellinger Software *
 *----------------------------------------------------------------------*
 *            Dieses Modul ist urheberrechtlich geschtzt.              *
 *                                                                      *
 * Die Verffentlichung des Quelltextes oder Teilen daraus, sowie die   *
 * Verbreitung des bersetzten, nicht gelinkten Codes in schriftlicher, *
 * oder maschinenlesbarer Form, insbesondere in Zeitschriften, Mail-    *
 * boxen oder anderen Medien bedarf der ausdrcklichen schriftlichen    *
 * Einverstndnisserklrung des Autors.                                 *
 *                                                                      *
 * Die Verbreitung des Moduls als Teil eines gelinkten Programms ist    *
 * fr Lizenznehmer ausdrcklich erlaubt!  Der Autor behlt sich das    *
 * Recht vor, diese Erlaubnis jederzeit und ohne Angaben von Grnden    *
 * zu widerrufen.                                                       *
 *----------------------------------------------------------------------*)
 
DEFINITION MODULE M_Strings;

PROCEDURE StrLen    (str: ARRAY OF CHAR): LONGINT;
PROCEDURE StrComp   (str1, str2: ARRAY OF CHAR): SHORTINT;
PROCEDURE StrLComp  (str1, str2: ARRAY OF CHAR; maxLen: LONGINT): SHORTINT;
PROCEDURE StrPos    (str1, str2: ARRAY OF CHAR): SHORTINT;
PROCEDURE StrScan   (str: ARRAY OF CHAR; c: CHAR): SHORTINT;
PROCEDURE StrIPos   (str1, str2: ARRAY OF CHAR; start: SHORTINT): SHORTINT;
PROCEDURE StrWPos   (str1, str2: ARRAY OF CHAR; start: SHORTINT;  wild, joker: CHAR): SHORTINT;
PROCEDURE StrMatch  (str1, str2: ARRAY OF CHAR; wild, joker: CHAR): BOOLEAN;
PROCEDURE StrCopy   (VAR dest: ARRAY OF CHAR; source: ARRAY OF CHAR);
PROCEDURE StrLCopy  (VAR dest: ARRAY OF CHAR; source: ARRAY OF CHAR; maxlen: LONGINT);
PROCEDURE StrCat    (VAR dest: ARRAY OF CHAR; source: ARRAY OF CHAR);
PROCEDURE StrLCat   (VAR dest: ARRAY OF CHAR; source: ARRAY OF CHAR; maxLen: LONGINT);
PROCEDURE StrInsert (str1: ARRAY OF CHAR; VAR str2: ARRAY OF CHAR; start: SHORTINT);
PROCEDURE StrDelete (VAR str: ARRAY OF CHAR; start, len: SHORTINT);
PROCEDURE StrLower  (VAR str: ARRAY OF CHAR);
PROCEDURE StrUpper  (VAR str: ARRAY OF CHAR);
PROCEDURE StrICopy  (VAR dest: ARRAY OF CHAR; source: ARRAY OF CHAR; start, len: SHORTINT);

END M_Strings.

