(*----------------------------------------------------------------------*
 *                                                                      *
 *  MAGIC        Modular  Applications  GEM  Interface  Cadre           *
 *                                                                 *
 *----------------------------------------------------------------------*
 * Version 4.00  01.01.1994   (C)1990..1994 by Peter Hellinger Software *
 *----------------------------------------------------------------------*
 *            Dieses Modul ist urheberrechtlich geschtzt.              *
 *                                                                      *
 * Die Verffentlichung des Quelltextes oder Teilen daraus, sowie die   *
 * Verbreitung des bersetzten, nicht gelinkten Codes in schriftlicher, *
 * oder maschinenlesbarer Form, insbesondere in Zeitschriften, Mail-    *
 * boxen oder anderen Medien bedarf der ausdrcklichen schriftlichen    *
 * Einverstndnisserklrung des Autors.                                 *
 *                                                                      *
 * Die Verbreitung des Moduls als Teil eines gelinkten Programms ist    *
 * fr Lizenznehmer ausdrcklich erlaubt!  Der Autor behlt sich das    *
 * Recht vor, diese Erlaubnis jederzeit und ohne Angaben von Grnden    *
 * zu widerrufen.                                                       *
 *----------------------------------------------------------------------*)
 
DEFINITION MODULE M_Time;

PROCEDURE EncodeDate (day, month, year: SHORTCARD): SHORTCARD;
PROCEDURE DecodeDate (date: SHORTCARD; VAR day, month, year: SHORTCARD);
PROCEDURE DateInNum (date: SHORTCARD): LONGINT; 
PROCEDURE NumInDate (number: LONGINT): SHORTCARD;
PROCEDURE DateString (date: SHORTCARD; VAR str: ARRAY OF CHAR);
PROCEDURE DayOfYear (date: SHORTCARD): SHORTCARD;
PROCEDURE WeekOfYear (date: SHORTCARD): SHORTCARD;
PROCEDURE DayOfWeek (date: SHORTCARD): SHORTCARD;

TYPE Language = (German, English, French);

PROCEDURE NameOfDay (lang: Language; day: SHORTCARD; VAR name: ARRAY OF CHAR);
PROCEDURE NameOfMonth (lang: Language; month: SHORTCARD; VAR name: ARRAY OF CHAR);
PROCEDURE EncodeTime (hour, minute, second: SHORTCARD): SHORTCARD;
PROCEDURE DecodeTime (time: SHORTCARD; VAR hour, minute, second: SHORTCARD);
PROCEDURE TimeInNum (time: SHORTCARD): LONGINT;
PROCEDURE NumInTime (num: LONGINT): SHORTCARD;
PROCEDURE TimeString (time: SHORTCARD; VAR str: ARRAY OF CHAR);

END M_Time.

