(*----------------------------------------------------------------------*
 *                                                                      *
 *  MAGIC        Modular  Applications  GEM  Interface  Cadre           *
 *                                                                 *
 *----------------------------------------------------------------------*
 * Version 4.00  01.01.1994   (C)1990..1994 by Peter Hellinger Software *
 *----------------------------------------------------------------------*
 *            Dieses Modul ist urheberrechtlich geschtzt.              *
 *                                                                      *
 * Die Verffentlichung des Quelltextes oder Teilen daraus, sowie die   *
 * Verbreitung des bersetzten, nicht gelinkten Codes in schriftlicher, *
 * oder maschinenlesbarer Form, insbesondere in Zeitschriften, Mail-    *
 * boxen oder anderen Medien bedarf der ausdrcklichen schriftlichen    *
 * Einverstndnisserklrung des Autors.                                 *
 *                                                                      *
 * Die Verbreitung des Moduls als Teil eines gelinkten Programms ist    *
 * fr Lizenznehmer ausdrcklich erlaubt!  Der Autor behlt sich das    *
 * Recht vor, diese Erlaubnis jederzeit und ohne Angaben von Grnden    *
 * zu widerrufen.                                                       *
 *----------------------------------------------------------------------*)
 
DEFINITION MODULE M_Alerts;

IMPORT M_AES;

PROCEDURE Alert (x, y, def: SHORTINT; (* REF *) str: ARRAY OF CHAR): SHORTINT;

TYPE PtrAlertpara = POINTER TO Alertpara;
     Alertpara =    RECORD
                     message: SHORTINT;
                     objc:    SHORTINT;
                    END;

TYPE AlertHandler = PROCEDURE (PtrAlertpara);

PROCEDURE WindowAlert (x, y, def: SHORTINT; (* REF *) str: ARRAY OF CHAR; handler: AlertHandler);
PROCEDURE SetIconColor (fcolor, bcolor: SHORTINT);
PROCEDURE Iconslot (slotnum: SHORTINT): M_AES.PtrCICONBLK;
PROCEDURE SetIconslot (slotnum: SHORTINT; icon: M_AES.PtrCICONBLK);

END M_Alerts.

