(*----------------------------------------------------------------------*
 *                                                                      *
 *  MAGIC        Modular  Applications  GEM  Interface  Cadre           *
 *                                                                 *
 *----------------------------------------------------------------------*
 * Version 4.00  01.01.1994   (C)1990..1994 by Peter Hellinger Software *
 *----------------------------------------------------------------------*
 *            Dieses Modul ist urheberrechtlich geschtzt.              *
 *                                                                      *
 * Die Verffentlichung des Quelltextes oder Teilen daraus, sowie die   *
 * Verbreitung des bersetzten, nicht gelinkten Codes in schriftlicher, *
 * oder maschinenlesbarer Form, insbesondere in Zeitschriften, Mail-    *
 * boxen oder anderen Medien bedarf der ausdrcklichen schriftlichen    *
 * Einverstndnisserklrung des Autors.                                 *
 *                                                                      *
 * Die Verbreitung des Moduls als Teil eines gelinkten Programms ist    *
 * fr Lizenznehmer ausdrcklich erlaubt!  Der Autor behlt sich das    *
 * Recht vor, diese Erlaubnis jederzeit und ohne Angaben von Grnden    *
 * zu widerrufen.                                                       *
 *----------------------------------------------------------------------*)

DEFINITION MODULE M_Command;

PROCEDURE ArgV (): BOOLEAN;
PROCEDURE ParamCount (): SHORTCARD;
PROCEDURE ParamStr (index: SHORTCARD; VAR param: ARRAY OF CHAR);

CONST   EnvPath =       'PATH=';        (* Suchpfade *)
        EnvRows =       'ROWS=';        (* Anzahl der Zeilen auf dem Schirm *)
        EnvColumns =    'COLUMNS=';     (* Anzahl der Spalten auf dem Schirm *)
        EnvTempdir =    'TMPDIR=';      (* Temporres Verzeichnis *)
        EnvClipbrd =    'CLIPBRD=';     (* Clipboard-Verzeichnis *)
        EnvHome =       'HOME=';        (* Home-Path *)
        EnvEditor =     'EDITOR=';      (* Name des Default-Editors *)
        EnvShell =      'SHELL=';       (* Name der Shell *)
        EnvStderr =     'STDERR=';      (* Standard-Fehlerkanal *)

PROCEDURE EnvVar (name: ARRAY OF CHAR; VAR value: ARRAY OF CHAR): BOOLEAN;

END M_Command. 

