(*----------------------------------------------------------------------*
 *                                                                      *
 *  MAGIC        Modular  Applications  GEM  Interface  Cadre           *
 *                                                                 *
 *----------------------------------------------------------------------*
 * Version 4.00  01.05.1994   (C)1990..1994 by Peter Hellinger Software *
 *----------------------------------------------------------------------*
 *            Dieses Modul ist urheberrechtlich geschtzt.              *
 *                                                                      *
 * Die Verffentlichung des Quelltextes oder Teilen daraus, sowie die   *
 * Verbreitung des bersetzten, nicht gelinkten Codes in schriftlicher, *
 * oder maschinenlesbarer Form, insbesondere in Zeitschriften, Mail-    *
 * boxen oder anderen Medien bedarf der ausdrcklichen schriftlichen    *
 * Einverstndnisserklrung des Autors.                                 *
 *                                                                      *
 * Die Verbreitung des Moduls als Teil eines gelinkten Programms ist    *
 * fr Lizenznehmer ausdrcklich erlaubt!  Der Autor behlt sich das    *
 * Recht vor, diese Erlaubnis jederzeit und ohne Angaben von Grnden    *
 * zu widerrufen.                                                       *
 *----------------------------------------------------------------------*)

DEFINITION MODULE M_Dir;

FROM M_DOS IMPORT PtrDTA;

CONST   Tos100 = 0100H;
        Tos102 = 0102H;
        Tos104 = 0104H; (* Das aktuelle ST OS *)
        Tos106 = 0106H; (* Beim 1040STE zu finden *)
        Tos205 = 0205H; (* Die MegaSTE haben so eines *)
        Tos206 = 0206H; (* neues fr MegaSTE und alle anderen *)
        Tos300 = 0300H; (* Das OS des TT *)
        Tos301 = 0301H; (* TT *)
        Tos305 = 0305H; (* auch verbreitet *)
        Tos306 = 0306H; (* Das neueste OS fr den TT030 *)
        Tos400 = $0400; (* Das OS fr den Falcon 030 *)
        Tos402 = $0402; (* Das neueste OS fr den Falcon 030 *)


PROCEDURE GetDir (VAR pfad, name: ARRAY OF CHAR; msg: ARRAY OF CHAR): BOOLEAN;
PROCEDURE GetFile (wild, message: ARRAY OF CHAR; VAR file: ARRAY OF CHAR): BOOLEAN;
PROCEDURE GetPath (VAR pfad: ARRAY OF CHAR);
PROCEDURE DelTail (VAR pfad: ARRAY OF CHAR);
PROCEDURE SplitPath (path: ARRAY OF CHAR; VAR pfad, name, suff: ARRAY OF CHAR);
PROCEDURE ExSelector (): BOOLEAN;
PROCEDURE GetVersion (): SHORTINT;
PROCEDURE Exist (datei: ARRAY OF CHAR): BOOLEAN;
PROCEDURE Replace (old, wildcard: ARRAY OF CHAR; VAR new: ARRAY OF CHAR);
PROCEDURE SearchParas (maske: ARRAY OF CHAR; attribut: BITSET;
                       dta: PtrDTA; firsttime: BOOLEAN);
PROCEDURE Found (): BOOLEAN;

END M_Dir.

