(*----------------------------------------------------------------------*)

IMPLEMENTATION MODULE M_DOS;

FROM Portab IMPORT tCompiler, Compiler;
(*$?Compiler=Haenisch:
(* IMPLEMENTATION FR  >>> Hnisch-Modula-2 <<< *)
(*                                              *)
(*$V-   Range-Checks                            *)
(*$T-   Parameter-Checks                        *)
(*$S-   Stack-Check                             *)
(*$Y-   Runtime-Checks                          *)
(*$I-   keine Variablen-Initialisierung         *)
(*                                              *)
(*----------------------------------------------*)
 *)

(*$?Compiler=Megamax:
(* IMPLEMENTATION FR  >>> Megamax-Modula-2 <<< *)
(*                                              *)
(*$R-   Range-Checks                            *)
(*$S-   Stack-Check                             *)
(*                                              *)
(*----------------------------------------------*)
 *)

IMPORT M_Types;

FROM SYSTEM IMPORT LOC, ADDRESS, ADR, WORD, BYTE;

(*$?Compiler=Haenisch:
  FROM SYSTEM IMPORT CODE;
 *)
(*$?Compiler=Megamax:
  FROM SYSTEM IMPORT ASSEMBLER;
 *)


(* Wegen bergang auf lokale Variablen entfernt  SE 04.01.94
VAR     lc:     LONGCARD;
        li:     LONGINT;
        lb:     M_Types.LONGBITSET;
        i:      SHORTINT;
        c:      SHORTCARD;
        s:      BITSET;
        a:      ADDRESS;
        x:      SHORTCARD;
 *)

PROCEDURE Pterm0;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*14 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,00000H);
CODE(04E41H);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #0, -(SP)
  TRAP    #1
  MOVEM.L (SP)+,D2/A2
 \*)
  *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #0, -(SP)
  TRAP    #1
 END;
  *)
END Pterm0;

PROCEDURE Cconin (): LONGCARD;
VAR lc : LONGCARD;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,00001H);
CODE(04E41H);
CODE(0548FH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #1, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.L  D0, -4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #1, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.L  D0,lc(A6)
 END;
   *)
 RETURN lc;
END Cconin;

PROCEDURE Cconout (ch: CHAR);
VAR x : SHORTCARD;
BEGIN
 x:= ORD(ch);
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0FFFEH);
CODE(03F3CH,00002H);
CODE(04E41H);
CODE(0588FH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  -2(a6), -(SP)
  MOVE.W  #2, -(SP)
  TRAP    #1
  ADDQ.L  #4, SP
  MOVEM.L (SP)+,D2/A2
 \*)
  *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  x(A6), -(SP)
  MOVE.W  #2, -(SP)
  TRAP    #1
  ADDQ.L  #4, SP
 END;
  *)
END Cconout;

PROCEDURE Cauxin (): SHORTCARD;
VAR c : SHORTCARD;

BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,00003H);
CODE(04E41H);
CODE(0548FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #3, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.W  D0, -2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #3, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.W  D0, c(A6)
 END;
   *)
 RETURN c;
END Cauxin;

PROCEDURE Cauxout (ch: CHAR);
VAR x : SHORTCARD;
BEGIN
 x:= ORD (ch);
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0FFFEH);
CODE(03F3CH,00004H);
CODE(04E41H);
CODE(0588FH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  -2(a6), -(SP)
  MOVE.W  #4, -(SP)
  TRAP    #1
  ADDQ.L  #4, SP
  MOVEM.L (SP)+,D2/A2
 \*)
  *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  x(A6), -(SP)
  MOVE.W  #4, -(SP)
  TRAP    #1
  ADDQ.L  #4, SP
 END;
  *)
END Cauxout;

PROCEDURE Cprnout (ch: CHAR);
VAR x : SHORTCARD;
BEGIN
 x:= ORD (ch);
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0FFFEH);
CODE(03F3CH,00005H);
CODE(04E41H);
CODE(0588FH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  -2(A6), -(SP)
  MOVE.W  #5, -(SP)
  TRAP    #1
  ADDQ.L  #4, SP
  MOVEM.L (SP)+,D2/A2
 \*)
  *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  x(A6), -(SP)
  MOVE.W  #5, -(SP)
  TRAP    #1
  ADDQ.L  #4, SP
 END;
  *)
END Cprnout;

PROCEDURE Crawio (ch: CHAR): LONGCARD;
VAR x : SHORTCARD;
    lc : LONGCARD;
BEGIN
 x:= ORD (ch);
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*24 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0FFFEH);
CODE(03F3CH,00006H);
CODE(04E41H);
CODE(0588FH);
CODE(02D40H,0FFFAH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  -2(A6), -(SP)
  MOVE.W  #6, -(SP)
  TRAP    #1
  ADDQ.L  #4, SP
  MOVE.L  D0, -6(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  x(A6), -(SP)
  MOVE.W  #6, -(SP)
  TRAP    #1
  ADDQ.L  #4, SP
  MOVE.L  D0, lc(A6)
 END;
   *)
 RETURN lc;
END Crawio;

PROCEDURE Crawin (): LONGCARD;
VAR lc : LONGCARD;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,00007H);
CODE(04E41H);
CODE(0548FH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #7, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.L  D0, -4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #7, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.L  D0, lc(A6)
 END;
   *)
 RETURN lc;
END Crawin;

PROCEDURE Cnecin (): LONGCARD;
VAR lc : LONGCARD;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,00008H);
CODE(04E41H);
CODE(0548FH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #8, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.L  D0, -4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #8, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.L  D0, lc(A6)
 END;
   *)
 RETURN lc;
END Cnecin;

PROCEDURE Cconws ((*$?Compiler=Megamax: REF *) (*$?Compiler=Haenisch: VAR *)  string: (*$?Compiler=Megamax: ARRAY OF CHAR *) (*$?Compiler=Haenisch: STRING *));
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,00008H);
CODE(03F3CH,00009H);
CODE(04E41H);
CODE(05C8FH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  8(A6), -(SP)
  MOVE.W  #9, -(SP)
  TRAP    #1
  ADDQ.L  #6, SP
  MOVEM.L (SP)+,D2/A2
 \*)
  *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  string(A6), -(SP)
  MOVE.W  #9, -(SP)
  TRAP    #1
  ADDQ.L  #6, SP
 END;
  *)
END Cconws;

PROCEDURE Cconrs (VAR string: ARRAY OF CHAR);
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,00008H);
CODE(03F3CH,0000AH);
CODE(04E41H);
CODE(05C8FH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  8(A6), -(SP)
  MOVE.W  #10, -(SP)
  TRAP    #1
  ADDQ.L  #6, SP
  MOVEM.L (SP)+,D2/A2
 \*)
  *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  string(A6), -(SP)
  MOVE.W  #10, -(SP)
  TRAP    #1
  ADDQ.L  #6, SP
 END;
  *)
END Cconrs;

PROCEDURE Cconis (): BOOLEAN;
VAR x : SHORTCARD;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,0000BH);
CODE(04E41H);
CODE(0548FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #11, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.W  D0, -2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #11, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.W  D0, x(A6)
 END;
   *)
 RETURN x # 0;
END Cconis;

PROCEDURE Dsetdrv (drive: SHORTCARD; VAR drvmap: M_Types.LONGBITSET);
VAR lb : M_Types.LONGBITSET;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*24 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,00008H);
CODE(03F3CH,0000EH);
CODE(04E41H);
CODE(0588FH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  8(A6), -(SP)
  MOVE.W  #14, -(SP)
  TRAP    #1
  ADDQ.L  #4, SP
  MOVE.L  D0, -4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  drive(A6), -(SP)
  MOVE.W  #14, -(SP)
  TRAP    #1
  ADDQ.L  #4, SP
  MOVE.L  D0, lb(A6)
 END;
   *)
 drvmap:= lb;
END Dsetdrv;

PROCEDURE Cconos (): BOOLEAN;
VAR c : SHORTCARD;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,00010H);
CODE(04E41H);
CODE(0548FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #16, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.W  D0, -2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #16, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.W  D0, c(A6)
 END;
   *)
 RETURN c # 0;
END Cconos;

PROCEDURE Cprnos (): BOOLEAN;
VAR c : SHORTCARD;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,00011H);
CODE(04E41H);
CODE(0548FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #17, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.W  D0, -2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #17, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.W  D0, c(A6)
 END;
   *)
 RETURN c # 0;
END Cprnos;

PROCEDURE Cauxis (): BOOLEAN;
VAR c : SHORTCARD;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,00012H);
CODE(04E41H);
CODE(0548FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #18, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.W  D0, -2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #18, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.W  D0, c(A6)
 END;
   *)
 RETURN c # 0;
END Cauxis;

PROCEDURE Cauxos (): BOOLEAN;
VAR c : SHORTCARD;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,00013H);
CODE(04E41H);
CODE(0548FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #19, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.W  D0, -2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #19, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.W  D0, c(A6)
 END;
   *)
 RETURN c # 0;
END Cauxos;

PROCEDURE Dgetdrv (): SHORTCARD;
VAR c : SHORTCARD;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,00019H);
CODE(04E41H);
CODE(0548FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #25, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.W  D0, -2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #25, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.W  D0, c(A6)
 END;
   *)
 RETURN c;
END Dgetdrv;

PROCEDURE Fsetdta (dta: ADDRESS);
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,00008H);
CODE(03F3CH,0001AH);
CODE(04E41H);
CODE(05C8FH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  8(A6), -(SP)
  MOVE.W  #26, -(SP)
  TRAP    #1
  ADDQ.L  #6, SP
  MOVEM.L (SP)+,D2/A2
 \*)
  *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  dta(A6), -(SP)
  MOVE.W  #26, -(SP)
  TRAP    #1
  ADDQ.L  #6, SP
 END;
  *)
END Fsetdta;

PROCEDURE Super (VAR stack: ADDRESS);
VAR a : ADDRESS;
BEGIN
 a:= stack;
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*24 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,0FFFCH);
CODE(03F3CH,00020H);
CODE(04E41H);
CODE(05C8FH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  -4(a6), -(SP)
  MOVE.W  #32, -(SP)
  TRAP    #1
  ADDQ.L  #6, SP
  MOVE.L  D0, -4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  a(A6), -(SP)
  MOVE.W  #32, -(SP)
  TRAP    #1
  ADDQ.L  #6, SP
  MOVE.L  D0, a(A6)
 END;
   *)
 stack:= a;
END Super;

PROCEDURE Tgetdate (): SHORTCARD;
VAR c : SHORTCARD;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,0002AH);
CODE(04E41H);
CODE(0548FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #42, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.W  D0, -2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #42, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.W  D0, c(A6)
 END;
   *)
 RETURN c;
END Tgetdate;

PROCEDURE Tsetdate (date: SHORTCARD);
VAR c : SHORTCARD;
BEGIN
 c:= date;
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0FFFEH);
CODE(03F3CH,0002BH);
CODE(04E41H);
CODE(0588FH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  -2(A6), -(SP)
  MOVE.W  #43, -(SP)
  TRAP    #1
  ADDQ.L  #4, SP
  MOVEM.L (SP)+,D2/A2
 \*)
  *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  c(A6), -(SP)
  MOVE.W  #43, -(SP)
  TRAP    #1
  ADDQ.L  #4, SP
 END;
  *)
END Tsetdate;

PROCEDURE Tgettime (): SHORTCARD;
VAR c : SHORTCARD;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,0002CH);
CODE(04E41H);
CODE(0548FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #44, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.W  D0, -2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #44, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.W  D0, c(A6)
 END;
   *)
 RETURN c;
END Tgettime;

PROCEDURE Tsettime (time: SHORTCARD);
VAR c : SHORTCARD;
BEGIN
 c:= time;
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0FFFEH);
CODE(03F3CH,0002DH);
CODE(04E41H);
CODE(0588FH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  -2(A6), -(SP)
  MOVE.W  #45, -(SP)
  TRAP    #1
  ADDQ.L  #4, SP
  MOVEM.L (SP)+,D2/A2
 \*)
  *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  c(A6), -(SP)
  MOVE.W  #45, -(SP)
  TRAP    #1
  ADDQ.L  #4, SP
 END;
  *)
END Tsettime;

PROCEDURE Fgetdta (): ADDRESS;
VAR a : ADDRESS;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,0002FH);
CODE(04E41H);
CODE(0548FH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #47, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.L  D0, -4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #47, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.L  D0, a(A6)
 END;
   *)
 RETURN a;
END Fgetdta;

PROCEDURE Sversion (): SHORTCARD;
VAR c : SHORTCARD;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,00030H);
CODE(04E41H);
CODE(0548FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #48, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.W  D0, -2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #48, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.W  D0, c(A6)
 END;
   *)
 RETURN c;
END Sversion;

PROCEDURE Ptermres (keep: LONGCARD; return: SHORTCARD);
VAR c : SHORTCARD;
    lc : LONGCARD;
BEGIN
 c:= return;  lc:= keep;
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*22 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0FFFEH);
CODE(02F2EH,0FFFAH);
CODE(03F3CH,00031H);
CODE(04E41H);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  -2(A6), -(SP)
  MOVE.L  -6(A6), -(SP)
  MOVE.W  #49, -(SP)
  TRAP    #1
  MOVEM.L (SP)+,D2/A2
 \*)
  *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  c(A6), -(SP)
  MOVE.L  lc(A6), -(SP)
  MOVE.W  #49, -(SP)
  TRAP    #1
 END;
  *)
END Ptermres;

PROCEDURE Dfree (VAR dib: ARRAY OF LOC; drive: SHORTCARD);
VAR c : SHORTCARD;
BEGIN
 c:= drive;
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*24 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0FFFEH);
CODE(02F2EH,00008H);
CODE(03F3CH,00036H);
CODE(04E41H);
CODE(0508FH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  -2(A6), -(SP)
  MOVE.L  8(A6), -(SP)
  MOVE.W  #54, -(SP)
  TRAP    #1
  ADDQ.L  #8, SP
  MOVEM.L (SP)+,D2/A2
 \*)
  *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  c(A6), -(SP)
  MOVE.L  dib(A6), -(SP)
  MOVE.W  #54, -(SP)
  TRAP    #1
  ADDQ.L  #8, SP
 END;
  *)
END Dfree;

PROCEDURE Dcreate ((*$?Compiler=Megamax: REF *) (*$?Compiler=Haenisch: VAR *)  pfad: (*$?Compiler=Megamax: ARRAY OF CHAR *) (*$?Compiler=Haenisch: STRING *)): SHORTINT;
VAR i : SHORTINT;

BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*24 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,00008H);
CODE(03F3CH,00039H);
CODE(04E41H);
CODE(05C8FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  8(A6), -(SP)
  MOVE.W  #57, -(SP)
  TRAP    #1
  ADDQ.L  #6, SP
  MOVE.W  D0, -2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  pfad(A6), -(SP)
  MOVE.W  #57, -(SP)
  TRAP    #1
  ADDQ.L  #6, SP
  MOVE.W  D0, i(A6)
 END;
   *)
 RETURN i;
END Dcreate;

PROCEDURE Ddelete ((*$?Compiler=Megamax: REF *) (*$?Compiler=Haenisch: VAR *)  pfad: (*$?Compiler=Megamax: ARRAY OF CHAR *) (*$?Compiler=Haenisch: STRING *)): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*24 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,00008H);
CODE(03F3CH,0003AH);
CODE(04E41H);
CODE(05C8FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  8(A6), -(SP)
  MOVE.W  #58, -(SP)
  TRAP    #1
  ADDQ.L  #6, SP
  MOVE.W  D0, -2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  pfad(A6), -(SP)
  MOVE.W  #58, -(SP)
  TRAP    #1
  ADDQ.L  #6, SP
  MOVE.W  D0, i(A6)
 END;
   *)
 RETURN i;  
END Ddelete;

PROCEDURE Dsetpath ((*$?Compiler=Megamax: REF *) (*$?Compiler=Haenisch: VAR *)  pfad: (*$?Compiler=Megamax: ARRAY OF CHAR *) (*$?Compiler=Haenisch: STRING *)): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*24 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,00008H);
CODE(03F3CH,0003BH);
CODE(04E41H);
CODE(05C8FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  8(A6), -(SP)
  MOVE.W  #59, -(SP)
  TRAP    #1
  ADDQ.L  #6, SP
  MOVE.W  D0, -2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  pfad(A6), -(SP)
  MOVE.W  #59, -(SP)
  TRAP    #1
  ADDQ.L  #6, SP
  MOVE.W  D0, i(A6)
 END;
   *)
 RETURN i;  
END Dsetpath;

PROCEDURE Fcreate ((*$?Compiler=Megamax: REF *) (*$?Compiler=Haenisch: VAR *)  name: (*$?Compiler=Megamax: ARRAY OF CHAR *) (*$?Compiler=Haenisch: STRING *); attr: BITSET): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*28 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0000CH);
CODE(02F2EH,00008H);
CODE(03F3CH,0003CH);
CODE(04E41H);
CODE(0508FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  12(A6), -(SP)
  MOVE.L  8(A6), -(SP)
  MOVE.W  #60, -(SP)
  TRAP    #1
  ADDQ.L  #8, SP
  MOVE.W  D0, -2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  attr(A6), -(SP)
  MOVE.L  name(A6), -(SP)
  MOVE.W  #60, -(SP)
  TRAP    #1
  ADDQ.L  #8, SP
  MOVE.W  D0, i(A6)
 END;
   *)
 RETURN i;
END Fcreate;

PROCEDURE Fopen ((*$?Compiler=Megamax: REF *) (*$?Compiler=Haenisch: VAR *)  name: (*$?Compiler=Megamax: ARRAY OF CHAR *) (*$?Compiler=Haenisch: STRING *); mode: BITSET): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*28 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0000CH);
CODE(02F2EH,00008H);
CODE(03F3CH,0003DH);
CODE(04E41H);
CODE(0508FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  12(A6), -(SP)
  MOVE.L  8(A6), -(SP)
  MOVE.W  #61, -(SP)
  TRAP    #1
  ADDQ.L  #8, SP
  MOVE.W  D0, -2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  mode(A6), -(SP)
  MOVE.L  name(A6), -(SP)
  MOVE.W  #61, -(SP)
  TRAP    #1
  ADDQ.L  #8, SP
  MOVE.W  D0, i(A6)
 END;
   *)
 RETURN i;  
END Fopen;

PROCEDURE Fclose (handle: SHORTINT): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*24 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,00008H);
CODE(03F3CH,0003EH);
CODE(04E41H);
CODE(0588FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  8(A6), -(SP)
  MOVE.W  #62, -(SP)
  TRAP    #1
  ADDQ.L  #4, SP
  MOVE.W  D0, -2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  handle(A6), -(SP)
  MOVE.W  #62, -(SP)
  TRAP    #1
  ADDQ.L  #4, SP
  MOVE.W  D0, i(A6)
 END;
   *)
 RETURN i;
END Fclose;

PROCEDURE Fread (handle: SHORTINT; VAR count: LONGCARD; buffer: ADDRESS);
VAR lc : LONGCARD;
BEGIN
 lc:= count;
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*34 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,0000EH);
CODE(02F2EH,0FFFCH);
CODE(03F2EH,00008H);
CODE(03F3CH,0003FH);
CODE(04E41H);
CODE(04FEFH,0000CH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  14(A6), -(SP)
  MOVE.L  -4(A6), -(SP)
  MOVE.W  8(A6), -(SP)
  MOVE.W  #63, -(SP)
  TRAP    #1
  LEA     $C(SP), SP
  MOVE.L  D0, -4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  buffer(A6), -(SP)
  MOVE.L  lc(A6), -(SP)
  MOVE.W  handle(A6), -(SP)
  MOVE.W  #63, -(SP)
  TRAP    #1
  LEA     $C(SP), SP
  MOVE.L  D0, lc(A6)
 END;
   *)
 count:= lc;
END Fread;

PROCEDURE Fwrite (handle: SHORTINT; VAR count: LONGCARD; buffer: ADDRESS);
VAR lc : LONGCARD;
BEGIN
 lc:= count;
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*34 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,0000EH);
CODE(02F2EH,0FFFCH);
CODE(03F2EH,00008H);
CODE(03F3CH,00040H);
CODE(04E41H);
CODE(04FEFH,0000CH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  14(A6), -(SP)
  MOVE.L  -4(A6), -(SP)
  MOVE.W  8(A6), -(SP)
  MOVE.W  #64, -(SP)
  TRAP    #1
  LEA     $C(SP), SP
  MOVE.L  D0, -4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  buffer(A6), -(SP)
  MOVE.L  lc(A6), -(SP)
  MOVE.W  handle(A6), -(SP)
  MOVE.W  #64, -(SP)
  TRAP    #1
  LEA     $C(SP), SP
  MOVE.L  D0, lc(A6)
 END;
   *)
 count:= lc;
END Fwrite;

PROCEDURE Fdelete ((*$?Compiler=Megamax: REF *) (*$?Compiler=Haenisch: VAR *)  name: (*$?Compiler=Megamax: ARRAY OF CHAR *) (*$?Compiler=Haenisch: STRING *)): BOOLEAN;
VAR x : SHORTCARD;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*24 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,00008H);
CODE(03F3CH,00041H);
CODE(04E41H);
CODE(05C8FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  8(A6), -(SP)
  MOVE.W  #65, -(SP)
  TRAP    #1
  ADDQ.L  #6, SP
  MOVE.W  D0, -2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  name(A6), -(SP)
  MOVE.W  #65, -(SP)
  TRAP    #1
  ADDQ.L  #6, SP
  MOVE.W  D0, x(A6)
 END;
   *)
 RETURN x = 0;
END Fdelete;

PROCEDURE Fseek (offset: LONGINT; handle, mode: SHORTINT): LONGCARD;
VAR lc : LONGCARD;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*34 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0000EH);
CODE(03F2EH,0000CH);
CODE(02F2EH,00008H);
CODE(03F3CH,00042H);
CODE(04E41H);
CODE(04FEFH,0000AH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  14(A6), -(SP)
  MOVE.W  12(A6), -(SP)
  MOVE.L  8(A6), -(SP)
  MOVE.W  #66, -(SP)
  TRAP    #1
  LEA     $A(SP), SP
  MOVE.L  D0, -4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  mode(A6), -(SP)
  MOVE.W  handle(A6), -(SP)
  MOVE.L  offset(A6), -(SP)
  MOVE.W  #66, -(SP)
  TRAP    #1
  LEA     $A(SP), SP
  MOVE.L  D0, lc(A6)
 END;
   *)
 RETURN lc;
END Fseek;

PROCEDURE Fattrib ((*$?Compiler=Megamax: REF *) (*$?Compiler=Haenisch: VAR *)  name: (*$?Compiler=Megamax: ARRAY OF CHAR *) (*$?Compiler=Haenisch: STRING *); set: BOOLEAN; VAR attr: BITSET);
VAR c : SHORTCARD;
    s : BITSET;
BEGIN
 IF set THEN  c:= 1;  ELSE  c:= 0;  END;
(*$?Compiler=Haenisch:
 s := attr;
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*34 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0FFFCH);
CODE(03F2EH,0FFFEH);
CODE(02F2EH,00008H);
CODE(03F3CH,00043H);
CODE(04E41H);
CODE(04FEFH,0000AH);
CODE(03D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  -4(A6), -(SP)
  MOVE.W  -2(A6), -(SP)
  MOVE.L  8(A6), -(SP)
  MOVE.W  #67, -(SP)
  TRAP    #1
  LEA     $A(SP), SP
  MOVE.W  D0, -4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  attr(A6), -(SP)
  MOVE.W  c(A6), -(SP)
  MOVE.L  name(A6), -(SP)
  MOVE.W  #67, -(SP)
  TRAP    #1
  LEA     $A(SP), SP
  MOVE.W  D0, s(A6)
 END; 
   *)
 attr:= s;
END Fattrib;

PROCEDURE Fdup (handle: SHORTINT): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*24 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,00008H);
CODE(03F3CH,00045H);
CODE(04E41H);
CODE(0588FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  8(A6), -(SP)
  MOVE.W  #69, -(SP)
  TRAP    #1
  ADDQ.L  #4, SP
  MOVE.W  D0, -2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  handle(A6), -(SP)
  MOVE.W  #69, -(SP)
  TRAP    #1
  ADDQ.L  #4, SP
  MOVE.W  D0, i(A6)
 END;
   *)
 RETURN i;
END Fdup;

PROCEDURE Fforce (std, nonstd: SHORTINT): BOOLEAN;
VAR x : SHORTCARD;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*28 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0000AH);
CODE(03F2EH,00008H);
CODE(03F3CH,00046H);
CODE(04E41H);
CODE(05C8FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  10(A6), -(SP)
  MOVE.W  8(A6), -(SP)
  MOVE.W  #70, -(SP)
  TRAP    #1
  ADDQ.L  #6, SP
  MOVE.W  D0, -2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  nonstd(A6), -(SP)
  MOVE.W  std(A6), -(SP)
  MOVE.W  #70, -(SP)
  TRAP    #1
  ADDQ.L  #6, SP
  MOVE.W  D0, x(A6)
 END;
   *)
 RETURN x # 0;
END Fforce;

PROCEDURE Dgetpath (VAR pfad: ARRAY OF CHAR; drive: SHORTCARD);
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*24 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,00010H);
CODE(02F2EH,00008H);
CODE(03F3CH,00047H);
CODE(04E41H);
CODE(0508FH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  16(A6), -(SP)
  MOVE.L  8(A6), -(SP)
  MOVE.W  #71, -(SP)
  TRAP    #1
  ADDQ.L  #8, SP
  MOVEM.L (SP)+,D2/A2
 \*)
  *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  drive(A6), -(SP)
  MOVE.L  pfad(A6), -(SP)
  MOVE.W  #71, -(SP)
  TRAP    #1
  ADDQ.L  #8, SP
 END;
  *)
END Dgetpath;

PROCEDURE Malloc (bytes: LONGCARD): ADDRESS;
VAR a : ADDRESS;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*24 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,00008H);
CODE(03F3CH,00048H);
CODE(04E41H);
CODE(05C8FH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  8(A6), -(SP)
  MOVE.W  #72, -(SP)
  TRAP    #1
  ADDQ.L  #6, SP
  MOVE.L  D0, -4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  bytes(A6), -(SP)
  MOVE.W  #72, -(SP)
  TRAP    #1
  ADDQ.L  #6, SP
  MOVE.L  D0, a(A6)
 END;
   *)
 RETURN a;
END Malloc;

PROCEDURE Mfree (addr: ADDRESS): BOOLEAN;
VAR x : SHORTCARD;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*24 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,00008H);
CODE(03F3CH,00049H);
CODE(04E41H);
CODE(05C8FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  8(A6),-(SP)
  MOVE.W  #73,-(SP)
  TRAP    #1
  ADDQ.L  #6,SP
  MOVE.W  D0,-2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  addr(A6), -(SP)
  MOVE.W  #73, -(SP)
  TRAP    #1
  ADDQ.L  #6, SP
  MOVE.W  D0, x(A6)
 END;
   *)
 RETURN x = 0;  
END Mfree;

PROCEDURE Mshrink (addr: ADDRESS; newSize: LONGCARD): BOOLEAN;
VAR x : SHORTCARD;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*34 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,0000CH);
CODE(02F2EH,00008H);
CODE(03F3CH,00000H);
CODE(03F3CH,0004AH);
CODE(04E41H);
CODE(04FEFH,0000CH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  12(A6), -(SP)
  MOVE.L  8(A6), -(SP)
  MOVE.W  #0, -(SP)
  MOVE.W  #74, -(SP)
  TRAP    #1
  LEA     $C(SP), SP
  MOVE.W  D0, -2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  newSize(A6), -(SP)
  MOVE.L  addr(A6), -(SP)
  MOVE.W  #0, -(SP)
  MOVE.W  #74, -(SP)
  TRAP    #1
  LEA     $C(SP), SP
  MOVE.W  D0, x(A6)
 END;
   *)
 RETURN x = 0;
END Mshrink;

PROCEDURE Pexec (mode: SHORTCARD; VAR name, tail, env: ARRAY OF CHAR): LONGCARD;
VAR a  : ADDRESS;
    lc : LONGCARD;

BEGIN
 IF env[0] = 0C THEN  a:= ADDRESS(0);  ELSE  a:= ADR(env);  END;
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*38 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,0FFFCH);
CODE(02F2EH,00012H);
CODE(02F2EH,0000AH);
CODE(03F2EH,00008H);
CODE(03F3CH,0004BH);
CODE(04E41H);
CODE(04FEFH,00010H);
CODE(02D40H,0FFF8H);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  -4(A6), -(SP)
  MOVE.L  18(A6), -(SP)
  MOVE.L  10(A6), -(SP)
  MOVE.W  8(A6), -(SP)
  MOVE.W  #75, -(SP)
  TRAP    #1
  LEA     $10(SP), SP
  MOVE.L  D0, -8(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  a(A6), -(SP)
  MOVE.L  tail(A6), -(SP)
  MOVE.L  name(A6), -(SP)
  MOVE.W  mode(A6), -(SP)
  MOVE.W  #75, -(SP)
  TRAP    #1
  LEA     $10(SP), SP
  MOVE.L  D0, lc(A6)
 END;
   *)
 RETURN lc;
END Pexec;

PROCEDURE Pterm (code: SHORTINT);
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*10 bytes of MC68030 code*)
CODE(03F2EH,00008H);
CODE(03F3CH,0004CH);
CODE(04E41H);
(*$D=*)
(*\=
  MOVE.W  8(A6), -(SP)
  MOVE.W  #76, -(SP)
  TRAP    #1
 \*)
  *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  code(A6),-(SP)
  MOVE.W  #76,-(SP)
  TRAP    #1
 END;
  *)
END Pterm;

PROCEDURE Fsfirst ((*$?Compiler=Megamax: REF *) (*$?Compiler=Haenisch: VAR *)  name: (*$?Compiler=Megamax: ARRAY OF CHAR *) (*$?Compiler=Haenisch: STRING *); attr: BITSET): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*28 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0000CH);
CODE(02F2EH,00008H);
CODE(03F3CH,0004EH);
CODE(04E41H);
CODE(0508FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  12(A6), -(SP)
  MOVE.L  8(A6), -(SP)
  MOVE.W  #78, -(SP)
  TRAP    #1
  ADDQ.L  #8, SP
  MOVE.W  D0, -2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  attr(A6), -(SP)
  MOVE.L  name(A6), -(SP)
  MOVE.W  #78, -(SP)
  TRAP    #1
  ADDQ.L  #8, SP
  MOVE.W  D0, i(A6)
 END;
   *)
 RETURN i;
END Fsfirst;

PROCEDURE Fsnext (): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,0004FH);
CODE(04E41H);
CODE(0548FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #79, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.W  D0, -2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #79, -(SP)
  TRAP    #1
  ADDQ.L  #2, SP
  MOVE.W  D0, i(A6)
 END;
   *)
 RETURN i;
END Fsnext;

PROCEDURE Frename ((*$?Compiler=Megamax: REF *) (*$?Compiler=Haenisch: VAR *)  curr,  new: (*$?Compiler=Megamax: ARRAY OF CHAR *) (*$?Compiler=Haenisch: STRING *)): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*34 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,0000CH);
CODE(02F2EH,00008H);
CODE(03F3CH,00000H);
CODE(03F3CH,00056H);
CODE(04E41H);
CODE(04FEFH,0000CH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  12(A6), -(SP)
  MOVE.L  8(A6), -(SP)
  MOVE.W  #0, -(SP)
  MOVE.W  #86, -(SP)
  TRAP    #1
  LEA     $C(SP), SP
  MOVE.W  D0, -2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  new(A6), -(SP)
  MOVE.L  curr(A6), -(SP)
  MOVE.W  #0, -(SP)
  MOVE.W  #86, -(SP)
  TRAP    #1
  LEA     $C(SP), SP
  MOVE.W  D0, i(A6)
 END;
   *)
 RETURN i;
END Frename;

PROCEDURE Fdatime (handle: SHORTINT; VAR buff: ARRAY OF LOC; set: BOOLEAN);
VAR c : SHORTCARD;
BEGIN
 IF set THEN c:= 1;  ELSE  c:= 0;  END;
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*30 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0FFFEH);
CODE(03F2EH,00008H);
CODE(02F2EH,0000AH);
CODE(03F3CH,00057H);
CODE(04E41H);
CODE(04FEFH,0000AH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  -2(A6), -(SP)
  MOVE.W  8(A6), -(SP)
  MOVE.L  10(A6), -(SP)
  MOVE.W  #87, -(SP)
  TRAP    #1
  LEA     $A(SP), SP
  MOVEM.L (SP)+,D2/A2
 \*)
  *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  c(A6), -(SP)
  MOVE.W  handle(A6), -(SP)
  MOVE.L  buff(A6), -(SP)
  MOVE.W  #87, -(SP)
  TRAP    #1
  LEA     $A(SP), SP
 END;
  *)
END Fdatime;

PROCEDURE Mxalloc (bytes: LONGCARD; mode: SHORTINT): ADDRESS;
VAR a : ADDRESS;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*28 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0000CH);
CODE(02F2EH,00008H);
CODE(03F3CH,00044H);
CODE(04E41H);
CODE(0508FH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  12(A6), -(SP)
  MOVE.L  8(A6), -(SP)
  MOVE.W  #68, -(SP)
  TRAP    #1
  ADDQ.L  #8, SP
  MOVE.L  D0, -4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  mode(A6), -(SP)
  MOVE.L  bytes(A6), -(SP)
  MOVE.W  #68, -(SP)
  TRAP    #1
  ADDQ.L  #8, SP
  MOVE.L  D0, a(A6)
 END;
   *)
 RETURN  a;
END Mxalloc;

PROCEDURE Maddalt (start: ADDRESS; size: LONGCARD): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*28 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0000CH);
CODE(02F2EH,00008H);
CODE(03F3CH,00014H);
CODE(04E41H);
CODE(0508FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  12(A6), -(SP)
  MOVE.L  8(A6), -(SP)
  MOVE.W  #20, -(SP)
  TRAP    #1
  ADDQ.L  #8, SP
  MOVE.W  D0, -2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  size(A6), -(SP)
  MOVE.L  start(A6), -(SP)
  MOVE.W  #20, -(SP)
  TRAP    #1
  ADDQ.L  #8, SP
  MOVE.W  D0, i(A6)
 END;
   *)
 RETURN  i;
END Maddalt;

PROCEDURE Flock (handle, mode: SHORTINT; start, length: LONGCARD);
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*34 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,00010H);
CODE(02F2EH,0000CH);
CODE(03F2EH,0000AH);
CODE(03F2EH,00008H);
CODE(03F3CH,0005CH);
CODE(04E41H);
CODE(04FEFH,0000EH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  16(A6), -(SP)
  MOVE.L  12(A6), -(SP)
  MOVE.W  10(A6), -(SP)
  MOVE.W  8(A6), -(SP)
  MOVE.W  #92, -(SP)
  TRAP    #1
  LEA     $E(SP), SP
  MOVEM.L (SP)+,D2/A2
 \*)
  *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  length(A6), -(SP)
  MOVE.L  start(A6), -(SP)
  MOVE.W  mode(A6), -(SP)
  MOVE.W  handle(A6), -(SP)
  MOVE.W  #92, -(SP)
  TRAP    #1
  LEA     $E(SP), SP
 END;
  *)
END Flock;

(* MINT *)

PROCEDURE Syield (): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,000FFH);
CODE(04E41H);
CODE(0544FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #$00FF,-(A7)
  TRAP    #1
  ADDQ.W  #2,A7
  MOVE.W  D0,-2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #$00FF,-(A7)
  TRAP    #1
  ADDQ.W  #2,A7
  MOVE.W  D0,i(A6)
 END;
   *)
 RETURN i;
END Syield;

PROCEDURE Fpipe (VAR usrh: ARRAY OF LOC): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*24 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,00008H);
CODE(03F3CH,00100H);
CODE(04E41H);
CODE(05C4FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  8(A6),-(A7)
  MOVE.W  #$0100,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVE.W  D0,-2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  usrh(A6),-(A7)
  MOVE.W  #$0100,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVE.W  D0,i(A6)
 END;
   *)
 RETURN i;
END Fpipe;

PROCEDURE Fcntl (f: SHORTINT; arg: LONGINT; cmd: SHORTINT): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*34 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0000EH);
CODE(02F2EH,0000AH);
CODE(03F2EH,00008H);
CODE(03F3CH,00104H);
CODE(04E41H);
CODE(04FEFH,0000AH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  14(A6),-(A7)
  MOVE.L  10(A6),-(A7)
  MOVE.W  8(A6),-(A7)
  MOVE.W  #$0104,-(A7)
  TRAP    #1
  LEA     $000A(A7),A7
  MOVE.W  D0,-2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  cmd(A6),-(A7)
  MOVE.L  arg(A6),-(A7)
  MOVE.W  f(A6),-(A7)
  MOVE.W  #$0104,-(A7)
  TRAP    #1
  LEA     $000A(A7),A7
  MOVE.W  D0,i(A6)
 END;
   *)
 RETURN i;
END Fcntl;

PROCEDURE Finstat (f: SHORTINT): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*24 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,00008H);
CODE(03F3CH,00105H);
CODE(04E41H);
CODE(05C4FH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  8(A6),-(A7)
  MOVE.W  #$0105,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  f(A6),-(A7)
  MOVE.W  #$0105,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Finstat;

PROCEDURE Foutstat (f: SHORTINT): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*24 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,00008H);
CODE(03F3CH,00106H);
CODE(04E41H);
CODE(05C4FH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  8(A6),-(A7)
  MOVE.W  #$0106,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  f(A6),-(A7)
  MOVE.W  #$0106,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Foutstat;

PROCEDURE Fgetchar (f, mode: SHORTINT): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*28 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0000AH);
CODE(03F2EH,00008H);
CODE(03F3CH,00107H);
CODE(04E41H);
CODE(05C4FH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  10(A6),-(A7)
  MOVE.W  8(A6),-(A7)
  MOVE.W  #$0107,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  mode(A6),-(A7)
  MOVE.W  f(A6),-(A7)
  MOVE.W  #$0107,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Fgetchar;

PROCEDURE Fputchar (f: SHORTINT; c: LONGINT; mode: SHORTINT): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*34 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0000EH);
CODE(02F2EH,0000AH);
CODE(03F2EH,00008H);
CODE(03F3CH,00108H);
CODE(04E41H);
CODE(04FEFH,0000AH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  14(A6),-(A7)
  MOVE.L  10(A6),-(A7)
  MOVE.W  8(A6),-(A7)
  MOVE.W  #$0108,-(A7)
  TRAP    #1
  LEA     $000A(A7),A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  mode(A6),-(A7)
  MOVE.L  c(A6),-(A7)
  MOVE.W  f(A6),-(A7)
  MOVE.W  #$0108,-(A7)
  TRAP    #1
  LEA     $000A(A7),A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Fputchar;

PROCEDURE Pwait (): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,00109H);
CODE(04E41H);
CODE(0544FH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #$0109,-(A7)
  TRAP    #1
  ADDQ.W  #2,A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #$0109,-(A7)
  TRAP    #1
  ADDQ.W  #2,A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Pwait;

PROCEDURE Pnice (delta: SHORTINT): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*24 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,00008H);
CODE(03F3CH,0010AH);
CODE(04E41H);
CODE(0584FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  8(A6),-(A7)
  MOVE.W  #$010A,-(A7)
  TRAP    #1
  ADDQ.W  #4,A7
  MOVE.W  D0,-2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  delta(A6),-(A7)
  MOVE.W  #$010A,-(A7)
  TRAP    #1
  ADDQ.W  #4,A7
  MOVE.W  D0,i(A6)
 END;
   *)
 RETURN i;
END Pnice;

PROCEDURE Pgetpid (): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,0010BH);
CODE(04E41H);
CODE(0544FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #$010B,-(A7)
  TRAP    #1
  ADDQ.W  #2,A7
  MOVE.W  D0,-2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #$010B,-(A7)
  TRAP    #1
  ADDQ.W  #2,A7
  MOVE.W  D0,i(A6)
 END;
   *)
 RETURN i;
END Pgetpid;

PROCEDURE Pgetppid (): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,0010CH);
CODE(04E41H);
CODE(0544FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #$010C,-(A7)
  TRAP    #1
  ADDQ.W  #2,A7
  MOVE.W  D0,-2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #$010C,-(A7)
  TRAP    #1
  ADDQ.W  #2,A7
  MOVE.W  D0,i(A6)
 END;
   *)
 RETURN i;
END Pgetppid;

PROCEDURE Pgetpgrp (): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,0010DH);
CODE(04E41H);
CODE(0544FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #$010D,-(A7)
  TRAP    #1
  ADDQ.W  #2,A7
  MOVE.W  D0,-2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #$010D,-(A7)
  TRAP    #1
  ADDQ.W  #2,A7
  MOVE.W  D0,i(A6)
 END;
   *)
 RETURN i;
END Pgetpgrp;

PROCEDURE Psetpgrp (pid, newgrp: SHORTINT): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*28 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0000AH);
CODE(03F2EH,00008H);
CODE(03F3CH,0010EH);
CODE(04E41H);
CODE(05C4FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  10(A6),-(A7)
  MOVE.W  8(A6),-(A7)
  MOVE.W  #$010E,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVE.W  D0,-2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  newgrp(A6),-(A7)
  MOVE.W  pid(A6),-(A7)
  MOVE.W  #$010E,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVE.W  D0,i(A6)
 END;
   *)
 RETURN i;
END Psetpgrp;

PROCEDURE Pgetuid (): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,0010FH);
CODE(04E41H);
CODE(0544FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #$010F,-(A7)
  TRAP    #1
  ADDQ.W  #2,A7
  MOVE.W  D0,-2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #$010F,-(A7)
  TRAP    #1
  ADDQ.W  #2,A7
  MOVE.W  D0,i(A6)
 END;
   *)
 RETURN i;
END Pgetuid;

PROCEDURE Psetuid (id: SHORTINT): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*24 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,00008H);
CODE(03F3CH,00110H);
CODE(04E41H);
CODE(0584FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  8(A6),-(A7)
  MOVE.W  #$0110,-(A7)
  TRAP    #1
  ADDQ.W  #4,A7
  MOVE.W  D0,-2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  id(A6),-(A7)
  MOVE.W  #$0110,-(A7)
  TRAP    #1
  ADDQ.W  #4,A7
  MOVE.W  D0,i(A6)
 END;
   *)
 RETURN i;
END Psetuid;

PROCEDURE Pkill (pid, sig: SHORTINT): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*28 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0000AH);
CODE(03F2EH,00008H);
CODE(03F3CH,00111H);
CODE(04E41H);
CODE(05C4FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  10(A6),-(A7)
  MOVE.W  8(A6),-(A7)
  MOVE.W  #$0111,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVE.W  D0,-2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  sig(A6),-(A7)
  MOVE.W  pid(A6),-(A7)
  MOVE.W  #$0111,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVE.W  D0,i(A6)
 END;
   *)
 RETURN i;
END Pkill;

PROCEDURE Psignal (sig: SHORTINT; handler: ADDRESS): ADDRESS;
VAR a : ADDRESS;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*28 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,0000AH);
CODE(03F2EH,00008H);
CODE(03F3CH,00112H);
CODE(04E41H);
CODE(0504FH);
CODE(03D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  10(A6),-(A7)
  MOVE.W  8(A6),-(A7)
  MOVE.W  #$0112,-(A7)
  TRAP    #1
  ADDQ.W  #8,A7
  MOVE.W  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  handler(A6),-(A7)
  MOVE.W  sig(A6),-(A7)
  MOVE.W  #$0112,-(A7)
  TRAP    #1
  ADDQ.W  #8,A7
  MOVE.W  D0,a(A6)
 END;
   *)
 RETURN a;
END Psignal;

PROCEDURE Pvfork (): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,00113H);
CODE(04E41H);
CODE(0544FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #$0113,-(A7)
  TRAP    #1
  ADDQ.W  #2,A7
  MOVE.W  D0,-2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #$0113,-(A7)
  TRAP    #1
  ADDQ.W  #2,A7
  MOVE.W  D0,i(A6)
 END;
   *)
 RETURN i;
END Pvfork;

PROCEDURE Pgetgid (): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,00114H);
CODE(04E41H);
CODE(0544FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #$0114,-(A7)
  TRAP    #1
  ADDQ.W  #2,A7
  MOVE.W  D0,-2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #$0114,-(A7)
  TRAP    #1
  ADDQ.W  #2,A7
  MOVE.W  D0,i(A6)
 END;
   *)
 RETURN i;
END Pgetgid;

PROCEDURE Psetgid     (id: SHORTINT): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*24 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,00008H);
CODE(03F3CH,00115H);
CODE(04E41H);
CODE(0584FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  8(A6),-(A7)
  MOVE.W  #$0115,-(A7)
  TRAP    #1
  ADDQ.W  #4,A7
  MOVE.W  D0,-2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  id(A6),-(A7)
  MOVE.W  #$0115,-(A7)
  TRAP    #1
  ADDQ.W  #4,A7
  MOVE.W  D0,i(A6)
 END;
   *)
 RETURN i;
END Psetgid;

PROCEDURE Psigblock   (mask: LONGINT): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*24 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,00008H);
CODE(03F3CH,00116H);
CODE(04E41H);
CODE(05C4FH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  8(A6),-(A7)
  MOVE.W  #$0116,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  mask(A6),-(A7)
  MOVE.W  #$0116,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Psigblock;

PROCEDURE Psigsetmask (mask: LONGINT): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*24 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,00008H);
CODE(03F3CH,00117H);
CODE(04E41H);
CODE(05C4FH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  8(A6),-(A7)
  MOVE.W  #$0117,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  mask(A6),-(A7)
  MOVE.W  #$0117,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVE.L  D0,li(A6)
 END; 
   *)
 RETURN li;
END Psigsetmask;

PROCEDURE Pusrval     (arg: LONGINT): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*24 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,00008H);
CODE(03F3CH,00118H);
CODE(04E41H);
CODE(05C4FH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  8(A6),-(A7)
  MOVE.W  #$0118,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  arg(A6),-(A7)
  MOVE.W  #$0118,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Pusrval;

PROCEDURE Pdomain     (newdom: SHORTINT): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*24 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,00008H);
CODE(03F3CH,00119H);
CODE(04E41H);
CODE(0584FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  8(A6),-(A7)
  MOVE.W  #$0119,-(A7)
  TRAP    #1
  ADDQ.W  #4,A7
  MOVE.W  D0,-2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  newdom(A6),-(A7)
  MOVE.W  #$0119,-(A7)
  TRAP    #1
  ADDQ.W  #4,A7
  MOVE.W  D0,i(A6)
 END;
   *)
 RETURN i;
END Pdomain;

PROCEDURE Psigreturn;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*16 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,0011AH);
CODE(04E41H);
CODE(0544FH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #$011A,-(A7)
  TRAP    #1
  ADDQ.W  #2,A7
  MOVEM.L (SP)+,D2/A2
 \*)
  *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #$011A,-(A7)
  TRAP    #1
  ADDQ.W  #2,A7
 END;
  *)
END Psigreturn;

PROCEDURE Pfork (): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(04E41H);
CODE(03F3CH,0011BH);
CODE(03D40H,0FFFEH);
CODE(0544FH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  TRAP    #1
  MOVE.W  #$011B,-(A7)
  MOVE.W  D0,-2(A6)
  ADDQ.W  #2,A7
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  TRAP    #1
  MOVE.W  #$011B,-(A7)
  MOVE.W  D0,i(A6)
  ADDQ.W  #2,A7
 END;
   *)
 RETURN i;
END Pfork;

PROCEDURE Pwait3 (flag: SHORTINT; VAR rusage: ARRAY OF LOC): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*28 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,0000AH);
CODE(03F2EH,00008H);
CODE(03F3CH,0011CH);
CODE(04E41H);
CODE(0504FH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  10(A6),-(A7)
  MOVE.W  8(A6),-(A7)
  MOVE.W  #$011C,-(A7)
  TRAP    #1
  ADDQ.W  #8,A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  rusage(A6),-(A7)
  MOVE.W  flag(A6),-(A7)
  MOVE.W  #$011C,-(A7)
  TRAP    #1
  ADDQ.W  #8,A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Pwait3;

PROCEDURE Fselect (timeout: SHORTCARD; VAR rfds, wfds, xfds: LONGINT): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*38 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,00012H);
CODE(02F2EH,0000EH);
CODE(02F2EH,0000AH);
CODE(03F2EH,00008H);
CODE(03F3CH,0011DH);
CODE(04E41H);
CODE(04FEFH,00010H);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  18(A6),-(A7)
  MOVE.L  14(A6),-(A7)
  MOVE.L  10(A6),-(A7)
  MOVE.W  8(A6),-(A7)
  MOVE.W  #$011D,-(A7)
  TRAP    #1
  LEA     $0010(A7),A7
  MOVE.W  D0,-2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  xfds(A6),-(A7)
  MOVE.L  wfds(A6),-(A7)
  MOVE.L  rfds(A6),-(A7)
  MOVE.W  timeout(A6),-(A7)
  MOVE.W  #$011D,-(A7)
  TRAP    #1
  LEA     $0010(A7),A7
  MOVE.W  D0,i(A6)
 END;
   *)
 RETURN i;
END Fselect;

PROCEDURE Prusage (VAR r: ARRAY OF LOC);
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,00008H);
CODE(03F3CH,0011EH);
CODE(04E41H);
CODE(05C4FH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  8(A6),-(A7)
  MOVE.W  #$011E,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVEM.L (SP)+,D2/A2
 \*)
  *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  r(A6),-(A7)
  MOVE.W  #$011E,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
 END;
  *)
END Prusage;

PROCEDURE Psetlimit   (lim: SHORTINT; value: LONGINT): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*28 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,0000AH);
CODE(03F2EH,00008H);
CODE(03F3CH,0011FH);
CODE(04E41H);
CODE(0504FH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  10(A6),-(A7)
  MOVE.W  8(A6),-(A7)
  MOVE.W  #$011F,-(A7)
  TRAP    #1
  ADDQ.W  #8,A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  value(A6),-(A7)
  MOVE.W  lim(A6),-(A7)
  MOVE.W  #$011F,-(A7)
  TRAP    #1
  ADDQ.W  #8,A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Psetlimit;

PROCEDURE Talarm      (secs: LONGINT): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*24 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,00008H);
CODE(03F3CH,00120H);
CODE(04E41H);
CODE(05C4FH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  8(A6),-(A7)
  MOVE.W  #$0120,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  secs(A6),-(A7)
  MOVE.W  #$0120,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Talarm;

PROCEDURE Pause;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*16 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,00121H);
CODE(04E41H);
CODE(0544FH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #$0121,-(A7)
  TRAP    #1
  ADDQ.W  #2,A7
  MOVEM.L (SP)+,D2/A2
 \*)
  *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #$0121,-(A7)
  TRAP    #1
  ADDQ.W  #2,A7
 END;
  *)
END Pause;

PROCEDURE Sysconf     (n: SHORTINT): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*24 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,00008H);
CODE(03F3CH,00122H);
CODE(04E41H);
CODE(0584FH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  8(A6),-(A7)
  MOVE.W  #$0122,-(A7)
  TRAP    #1
  ADDQ.W  #4,A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  n(A6),-(A7)
  MOVE.W  #$0122,-(A7)
  TRAP    #1
  ADDQ.W  #4,A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Sysconf;

PROCEDURE Psigpending (): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,00123H);
CODE(04E41H);
CODE(0544FH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #$0123,-(A7)
  TRAP    #1
  ADDQ.W  #2,A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #$0123,-(A7)
  TRAP    #1
  MOVE.L  D0,li(A6)
  ADDQ.W  #2,A7
 END;
   *)
 RETURN li;
END Psigpending;

PROCEDURE Dpathconf ((*$?Compiler=Megamax: REF *) (*$?Compiler=Haenisch: VAR *)  name: (*$?Compiler=Megamax: ARRAY OF CHAR *) (*$?Compiler=Haenisch: STRING *) ; n: SHORTINT): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*30 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0000CH);
CODE(02F2EH,00008H);
CODE(03F3CH,00124H);
CODE(04E41H);
CODE(04FEFH,00008H);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  12(A6),-(A7)
  MOVE.L  8(A6),-(A7)
  MOVE.W  #$0124,-(A7)
  TRAP    #1
  LEA     $0008(A7),A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  n(A6),-(A7)
  MOVE.L  name(A6),-(A7)
  MOVE.W  #$0124,-(A7)
  TRAP    #1
  LEA     $0008(A7),A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Dpathconf;

PROCEDURE Pmsg (mode: SHORTINT; mbox: LONGINT; VAR msg: MSGTYPE): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*34 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,0000EH);
CODE(02F2EH,0000AH);
CODE(03F2EH,00008H);
CODE(03EBCH,00125H);
CODE(04E41H);
CODE(04FEFH,0000CH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  14(A6),-(A7)
  MOVE.L  10(A6),-(A7)
  MOVE.W  8(A6),-(A7)
  MOVE.W  #$0125,(A7)
  TRAP    #1
  LEA     $000C(A7),A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  msg(A6),-(A7)
  MOVE.L  mbox(A6),-(A7)
  MOVE.W  mode(A6),-(A7)
  MOVE.W  #$0125,(A7)
  TRAP    #1
  LEA     $000C(A7),A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Pmsg;

PROCEDURE Fmidipipe (pid, inp, outp: SHORTINT): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*32 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0000CH);
CODE(03F2EH,0000AH);
CODE(03F2EH,00008H);
CODE(03EBCH,00126H);
CODE(04E41H);
CODE(0504FH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  12(A6),-(A7)
  MOVE.W  10(A6),-(A7)
  MOVE.W  8(A6),-(A7)
  MOVE.W  #$0126,(A7)
  TRAP    #1
  ADDQ.W  #8,A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  outp(A6),-(A7)
  MOVE.W  inp(A6),-(A7)
  MOVE.W  pid(A6),-(A7)
  MOVE.W  #$0126,(A7)
  TRAP    #1
  ADDQ.W  #8,A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Fmidipipe;

PROCEDURE Prenice (pid, delta: SHORTINT): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*28 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0000AH);
CODE(03F2EH,00008H);
CODE(03EBCH,00127H);
CODE(04E41H);
CODE(05C4FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  10(A6),-(A7)
  MOVE.W  8(A6),-(A7)
  MOVE.W  #$0127,(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVE.W  D0,-2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  delta(A6),-(A7)
  MOVE.W  pid(A6),-(A7)
  MOVE.W  #$0127,(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVE.W  D0,i(A6)
 END;
   *)
 RETURN i;
END Prenice;

PROCEDURE Dopendir ((*$?Compiler=Megamax: REF *) (*$?Compiler=Haenisch: VAR *)  name: (*$?Compiler=Megamax: ARRAY OF CHAR *) (*$?Compiler=Haenisch: STRING *) ; flag: SHORTINT): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*30 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0000CH);
CODE(02F2EH,00008H);
CODE(03F3CH,00128H);
CODE(04E41H);
CODE(04FEFH,00008H);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  12(A6),-(A7)
  MOVE.L  8(A6),-(A7)
  MOVE.W  #$0128,-(A7)
  TRAP    #1
  LEA     $0008(A7),A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  flag(A6),-(A7)
  MOVE.L  name(A6),-(A7)
  MOVE.W  #$0128,-(A7)
  TRAP    #1
  LEA     $0008(A7),A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Dopendir;

PROCEDURE Dreaddir (buflen: SHORTINT; dir: LONGINT; VAR buf: ARRAY OF CHAR): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*34 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,0000EH);
CODE(02F2EH,0000AH);
CODE(03F2EH,00008H);
CODE(03EBCH,00129H);
CODE(04E41H);
CODE(04FEFH,0000CH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  14(A6),-(A7)
  MOVE.L  10(A6),-(A7)
  MOVE.W  8(A6),-(A7)
  MOVE.W  #$0129,(A7)
  TRAP    #1
  LEA     $000C(A7),A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  buf(A6),-(A7)
  MOVE.L  dir(A6),-(A7)
  MOVE.W  buflen(A6),-(A7)
  MOVE.W  #$0129,(A7)
  TRAP    #1
  LEA     $000C(A7),A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Dreaddir;

PROCEDURE Drewinddir (dir: LONGINT): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*24 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,00008H);
CODE(03F3CH,0012AH);
CODE(04E41H);
CODE(05C4FH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  8(A6),-(A7)
  MOVE.W  #$012A,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  dir(A6),-(A7)
  MOVE.W  #$012A,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Drewinddir;

PROCEDURE Dclosedir (dir: LONGINT): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*24 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,00008H);
CODE(03F3CH,0012BH);
CODE(04E41H);
CODE(05C4FH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  8(A6),-(A7)
  MOVE.W  #$012B,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  dir(A6),-(A7)
  MOVE.W  #$012B,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Dclosedir;

PROCEDURE Fxattr (flag: SHORTINT; (*$?Compiler=Megamax: REF *) (*$?Compiler=Haenisch: VAR *)  name: (*$?Compiler=Megamax: ARRAY OF CHAR *) (*$?Compiler=Haenisch: STRING *); VAR buf: XATTR): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*34 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,0000EH);
CODE(02F2EH,0000AH);
CODE(03F2EH,00008H);
CODE(03F3CH,0012CH);
CODE(04E41H);
CODE(04FEFH,0000CH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  14(A6),-(A7)
  MOVE.L  10(A6),-(A7)
  MOVE.W  8(A6),-(A7)
  MOVE.W  #$012C,-(A7)
  TRAP    #1
  LEA     $000C(A7),A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  buf(A6),-(A7)
  MOVE.L  name(A6),-(A7)
  MOVE.W  flag(A6),-(A7)
  MOVE.W  #$012C,-(A7)
  TRAP    #1
  LEA     $000C(A7),A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Fxattr;

PROCEDURE Flink ((*$?Compiler=Megamax: REF *) (*$?Compiler=Haenisch: VAR *)  oldname,  newname: (*$?Compiler=Megamax: ARRAY OF CHAR *) (*$?Compiler=Haenisch: STRING *)): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*30 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,0000CH);
CODE(02F2EH,00008H);
CODE(03F3CH,0012DH);
CODE(04E41H);
CODE(04FEFH,0000AH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  12(A6),-(A7)
  MOVE.L  8(A6),-(A7)
  MOVE.W  #$012D,-(A7)
  TRAP    #1
  LEA     $000A(A7),A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  newname(A6),-(A7)
  MOVE.L  oldname(A6),-(A7)
  MOVE.W  #$012D,-(A7)
  TRAP    #1
  LEA     $000A(A7),A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Flink;

PROCEDURE Fsymlink ((*$?Compiler=Megamax: REF *) (*$?Compiler=Haenisch: VAR *)  oldname,  newname: (*$?Compiler=Megamax: ARRAY OF CHAR *) (*$?Compiler=Haenisch: STRING *)): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*30 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,0000CH);
CODE(02F2EH,00008H);
CODE(03F3CH,0012EH);
CODE(04E41H);
CODE(04FEFH,0000AH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  12(A6),-(A7)
  MOVE.L  8(A6),-(A7)
  MOVE.W  #$012E,-(A7)
  TRAP    #1
  LEA     $000A(A7),A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  newname(A6),-(A7)
  MOVE.L  oldname(A6),-(A7)
  MOVE.W  #$012E,-(A7)
  TRAP    #1
  LEA     $000A(A7),A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Fsymlink;

PROCEDURE Freadlink (size: SHORTINT; VAR buf: ARRAY OF CHAR; (*$?Compiler=Megamax: REF *) (*$?Compiler=Haenisch: VAR *)  name: (*$?Compiler=Megamax: ARRAY OF CHAR *) (*$?Compiler=Haenisch: STRING *)): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*34 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,0000EH);
CODE(02F2EH,0000AH);
CODE(03F2EH,00008H);
CODE(03F3CH,0012FH);
CODE(04E41H);
CODE(04FEFH,0000CH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  14(A6),-(A7)
  MOVE.L  10(A6),-(A7)
  MOVE.W  8(A6),-(A7)
  MOVE.W  #$012F,-(A7)
  TRAP    #1
  LEA     $000C(A7),A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  name(A6),-(A7)
  MOVE.L  buf(A6),-(A7)
  MOVE.W  size(A6),-(A7)
  MOVE.W  #$012F,-(A7)
  TRAP    #1
  LEA     $000C(A7),A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Freadlink;

PROCEDURE Dcntl (cmd: SHORTINT; (*$?Compiler=Megamax: REF *) (*$?Compiler=Haenisch: VAR *)  name: (*$?Compiler=Megamax: ARRAY OF CHAR *) (*$?Compiler=Haenisch: STRING *); arg: LONGINT): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*34 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,0000EH);
CODE(02F2EH,0000AH);
CODE(03F2EH,00008H);
CODE(03F3CH,00130H);
CODE(04E41H);
CODE(04FEFH,0000CH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  14(A6),-(A7)
  MOVE.L  10(A6),-(A7)
  MOVE.W  8(A6),-(A7)
  MOVE.W  #$0130,-(A7)
  TRAP    #1
  LEA     $000C(A7),A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  arg(A6),-(A7)
  MOVE.L  name(A6),-(A7)
  MOVE.W  cmd(A6),-(A7)
  MOVE.W  #$0130,-(A7)
  TRAP    #1
  LEA     $000C(A7),A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Dcntl;

PROCEDURE Fchown ((*$?Compiler=Megamax: REF *) (*$?Compiler=Haenisch: VAR *)  name: (*$?Compiler=Megamax: ARRAY OF CHAR *) (*$?Compiler=Haenisch: STRING *); uid, gid: SHORTINT): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*34 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0000EH);
CODE(03F2EH,0000CH);
CODE(02F2EH,00008H);
CODE(03F3CH,00131H);
CODE(04E41H);
CODE(04FEFH,0000AH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  14(A6),-(A7)
  MOVE.W  12(A6),-(A7)
  MOVE.L  8(A6),-(A7)
  MOVE.W  #$0131,-(A7)
  TRAP    #1
  LEA     $000A(A7),A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  gid(A6),-(A7)
  MOVE.W  uid(A6),-(A7)
  MOVE.L  name(A6),-(A7)
  MOVE.W  #$0131,-(A7)
  TRAP    #1
  LEA     $000A(A7),A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Fchown;

PROCEDURE Fchmod ((*$?Compiler=Megamax: REF *) (*$?Compiler=Haenisch: VAR *)  name: (*$?Compiler=Megamax: ARRAY OF CHAR *) (*$?Compiler=Haenisch: STRING *); mode: SHORTINT): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*30 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0000CH);
CODE(02F2EH,00008H);
CODE(03F3CH,00132H);
CODE(04E41H);
CODE(04FEFH,00008H);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  12(A6),-(A7)
  MOVE.L  8(A6),-(A7)
  MOVE.W  #$0132,-(A7)
  TRAP    #1
  LEA     $0008(A7),A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  mode(A6),-(A7)
  MOVE.L  name(A6),-(A7)
  MOVE.W  #$0132,-(A7)
  TRAP    #1
  LEA     $0008(A7),A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Fchmod;

PROCEDURE Pumask (mode: SHORTCARD): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*24 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,00008H);
CODE(04E41H);
CODE(03F3CH,00133H);
CODE(02D40H,0FFFCH);
CODE(0584FH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  8(A6),-(A7)
  TRAP    #1
  MOVE.W  #$0133,-(A7)
  MOVE.L  D0,-4(A6)
  ADDQ.W  #4,A7
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  mode(A6),-(A7)
  TRAP    #1
  MOVE.W  #$0133,-(A7)
  MOVE.L  D0,li(A6)
  ADDQ.W  #4,A7
 END;
   *)
 RETURN li;
END Pumask;

PROCEDURE Psemaphore (mode: SHORTINT; id, timeout: LONGINT): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*34 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,0000EH);
CODE(02F2EH,0000AH);
CODE(03F2EH,00008H);
CODE(03EBCH,00134H);
CODE(04E41H);
CODE(04FEFH,0000CH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  14(A6),-(A7)
  MOVE.L  10(A6),-(A7)
  MOVE.W  8(A6),-(A7)
  MOVE.W  #$0134,(A7)
  TRAP    #1
  LEA     $000C(A7),A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  timeout(A6),-(A7)
  MOVE.L  id(A6),-(A7)
  MOVE.W  mode(A6),-(A7)
  MOVE.W  #$0134,(A7)
  TRAP    #1
  LEA     $000C(A7),A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Psemaphore;

PROCEDURE Dlock (mode, drive: SHORTINT): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*28 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F2EH,0000AH);
CODE(03F2EH,00008H);
CODE(03F3CH,00135H);
CODE(04E41H);
CODE(05C4FH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  10(A6),-(A7)
  MOVE.W  8(A6),-(A7)
  MOVE.W  #$0135,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  drive(A6),-(A7)
  MOVE.W  mode(A6),-(A7)
  MOVE.W  #$0135,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Dlock;

PROCEDURE Psigpause (mask: LONGINT);
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,00008H);
CODE(03F3CH,00136H);
CODE(04E41H);
CODE(05C4FH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  8(A6),-(A7)
  MOVE.W  #$0136,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
  MOVEM.L (SP)+,D2/A2
 \*)
  *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  mask(A6),-(A7)
  MOVE.W  #$0136,-(A7)
  TRAP    #1
  ADDQ.W  #6,A7
 END;
  *)
END Psigpause;

PROCEDURE Psigaction (sig: SHORTINT; act, oact: SIGACTIONPtr): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*34 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,0000EH);
CODE(02F2EH,0000AH);
CODE(03F2EH,00008H);
CODE(03EBCH,00137H);
CODE(04E41H);
CODE(04FEFH,0000CH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  14(A6),-(A7)
  MOVE.L  10(A6),-(A7)
  MOVE.W  8(A6),-(A7)
  MOVE.W  #$0137,(A7)
  TRAP    #1
  LEA     $000C(A7),A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  oact(A6),-(A7)
  MOVE.L  act(A6),-(A7)
  MOVE.W  sig(A6),-(A7)
  MOVE.W  #$0137,(A7)
  TRAP    #1
  LEA     $000C(A7),A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Psigaction;

PROCEDURE Pgeteuid (): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,00138H);
CODE(04E41H);
CODE(0544FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #$0138,-(A7)
  TRAP    #1
  ADDQ.W  #2,A7
  MOVE.W  D0,-2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #$0138,-(A7)
  TRAP    #1
  ADDQ.W  #2,A7
  MOVE.W  D0,i(A6)
 END;
   *)
 RETURN i;
END Pgeteuid;

PROCEDURE Pgetegid (): SHORTINT;
VAR i : SHORTINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*20 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(03F3CH,00139H);
CODE(04E41H);
CODE(0544FH);
CODE(03D40H,0FFFEH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.W  #$0139,-(A7)
  TRAP    #1
  ADDQ.W  #2,A7
  MOVE.W  D0,-2(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.W  #$0139,-(A7)
  TRAP    #1
  ADDQ.W  #2,A7
  MOVE.W  D0,i(A6)
 END;
   *)
 RETURN i;
END Pgetegid;

PROCEDURE Pwaitpid (pid, flag: SHORTINT; VAR rusage: ARRAY OF LOC): LONGINT;
VAR li : LONGINT;
BEGIN
(*$?Compiler=Haenisch:
(*\ONYX v2.01  02.06.94 18:08*)(*$D-*)
(*34 bytes of MC68030 code*)
CODE(048E7H,02020H);
CODE(02F2EH,0000CH);
CODE(03F2EH,0000AH);
CODE(03F2EH,00008H);
CODE(03F3CH,0013AH);
CODE(04E41H);
CODE(04FEFH,0000AH);
CODE(02D40H,0FFFCH);
CODE(04CDFH,00404H);
(*$D=*)
(*\=
  MOVEM.L D2/A2,-(SP)
  MOVE.L  12(A6),-(A7)
  MOVE.W  10(A6),-(A7)
  MOVE.W  8(A6),-(A7)
  MOVE.W  #$013A,-(A7)
  TRAP    #1
  LEA     $000A(A7),A7
  MOVE.L  D0,-4(A6)
  MOVEM.L (SP)+,D2/A2
 \*)
   *)
(*$?Compiler=Megamax:
 ASSEMBLER
  MOVE.L  rusage(A6),-(A7)
  MOVE.W  flag(A6),-(A7)
  MOVE.W  pid(A6),-(A7)
  MOVE.W  #$013A,-(A7)
  TRAP    #1
  LEA     $000A(A7),A7
  MOVE.L  D0,li(A6)
 END;
   *)
 RETURN li;
END Pwaitpid;

END M_DOS.

