(*----------------------------------------------------------------------*
 *                                                                      *
 *  MAGIC        Modular  Applications  GEM  Interface  Cadre           *
 *                                                                 *
 *----------------------------------------------------------------------*
 * Version 4.00  01.01.1994   (C)1990..1994 by Peter Hellinger Software *
 *----------------------------------------------------------------------*
 *            Dieses Modul ist urheberrechtlich geschtzt.              *
 *                                                                      *
 * Die Verffentlichung des Quelltextes oder Teilen daraus, sowie die   *
 * Verbreitung des bersetzten, nicht gelinkten Codes in schriftlicher, *
 * oder maschinenlesbarer Form, insbesondere in Zeitschriften, Mail-    *
 * boxen oder anderen Medien bedarf der ausdrcklichen schriftlichen    *
 * Einverstndnisserklrung des Autors.                                 *
 *                                                                      *
 * Die Verbreitung des Moduls als Teil eines gelinkten Programms ist    *
 * fr Lizenznehmer ausdrcklich erlaubt!  Der Autor behlt sich das    *
 * Recht vor, diese Erlaubnis jederzeit und ohne Angaben von Grnden    *
 * zu widerrufen.                                                       *
 *----------------------------------------------------------------------*)

DEFINITION MODULE M_Event;

FROM M_Types IMPORT Bit14, Bit15, tRect, HandleEvent;

CONST MUMOVED = Bit15;
      MURECT  = Bit14;

PROCEDURE InstMUKEYBD  (handler: HandleEvent): SHORTINT;
PROCEDURE InstMUBUTTON (handler: HandleEvent): SHORTINT;
PROCEDURE InstMUMESAG  (handler: HandleEvent): SHORTINT;
PROCEDURE InstMURECT   (handler: HandleEvent; rect: tRect): SHORTINT;
PROCEDURE InstMUMOVED  (handler: HandleEvent): SHORTINT;
PROCEDURE InstMUTIMER  (handler: HandleEvent; time: LONGINT): SHORTINT;
PROCEDURE RemoveMUKEYBD  (id: SHORTINT);
PROCEDURE RemoveMUBUTTON (id: SHORTINT);
PROCEDURE RemoveMUMESAG  (id: SHORTINT);
PROCEDURE RemoveMURECT   (id: SHORTINT);
PROCEDURE RemoveMUMOVED  (id: SHORTINT);
PROCEDURE RemoveMUTIMER  (id: SHORTINT);
PROCEDURE ChangeMURECT (handlerID: SHORTINT; rect: tRect);
PROCEDURE LazyMUMOVED (val: SHORTINT);
PROCEDURE DisableEvent (event: SHORTCARD);
PROCEDURE EnableEvent  (event: SHORTCARD);
PROCEDURE SetPriority (which: SHORTCARD; id: SHORTINT): SHORTINT;
PROCEDURE CentralDispatcher;

END M_Event.

