(*----------------------------------------------------------------------*)

IMPLEMENTATION MODULE M_Fontselector;

FROM Portab IMPORT tCompiler, Compiler;
(*$?Compiler=Haenisch:
(* IMPLEMENTATION FR  >>> Hnisch-Modula-2 <<< *)
(*                                              *)
(*$V-   Range-Checks                            *)
(*$T-   Parameter-Checks                        *)
(*$S-   Stack-Check                             *)
(*$Y-   Runtime-Checks                          *)
(*$I-   keine Variablen-Initialisierung         *)
(*                                              *)
(*----------------------------------------------*)
 *)

(*$?Compiler=Megamax:
(* IMPLEMENTATION FR  >>> Megamax-Modula-2 <<< *)
(*                                              *)
(*$R-   Range-Checks                            *)
(*$S-   Stack-Check                             *)
(*                                              *)
(*----------------------------------------------*)
 *)

FROM SYSTEM IMPORT ADR;
FROM M_Sys  IMPORT App, CallMagic, CastToInt;


PROCEDURE FontSelector (handle: SHORTINT; msg: ARRAY OF CHAR; opt: BITSET);
BEGIN
 WITH App^.MagicPB^ DO
  AddrIn[0]:= ADR (msg);
  IntIn[0]:= handle;
  IntIn[1]:= CastToInt (opt);
 END;
 CallMagic (1500);
END FontSelector;

PROCEDURE FontPSelector (handle, x, y: SHORTINT; 
                         msg: ARRAY OF CHAR; opt: BITSET);
BEGIN
 WITH App^.MagicPB^ DO
  App^.MagicPB^.AddrIn[0]:= ADR (msg);
  App^.MagicPB^.IntIn[0]:= handle;
  App^.MagicPB^.IntIn[1]:= CastToInt (opt);
  App^.MagicPB^.IntIn[2]:= x;
  App^.MagicPB^.IntIn[3]:= y;
 END;
 CallMagic (1504);
END FontPSelector;

PROCEDURE CloseSelector;
BEGIN
 CallMagic (1501);
END CloseSelector;

PROCEDURE SampleSentence (txt: ARRAY OF CHAR);
BEGIN
 App^.MagicPB^.AddrIn[0]:= ADR (txt);
 CallMagic (1502);
END SampleSentence;

PROCEDURE RedrawSelector;
BEGIN
 CallMagic (1503);
END RedrawSelector;

PROCEDURE SelectorInfo (VAR win, xpos, ypos, font: SHORTINT);
BEGIN
 CallMagic (1505);
 win:=  App^.MagicPB^.IntOut[0];
 xpos:= App^.MagicPB^.IntOut[1];
 ypos:= App^.MagicPB^.IntOut[2];
 font:= App^.MagicPB^.IntOut[3];
END SelectorInfo;

END M_Fontselector.
