DEFINITION MODULE M_Lists;

IMPORT SYSTEM;

TYPE    ENTRY;  (* Eintrag in die Liste *)

TYPE    LIST;   (* Listentyp *)

TYPE    LCompResult = (smaller, equal, bigger);
        LCompProc =   PROCEDURE ( (* left *)  SYSTEM.ADDRESS, 
                                  (* right *) SYSTEM.ADDRESS): LCompResult;

PROCEDURE NewList (VAR list: LIST; comp: LCompProc): BOOLEAN;
PROCEDURE DisposeList (VAR list: LIST);
PROCEDURE ListEntries (list: LIST): LONGINT;
PROCEDURE NilLEntry (): ENTRY;
PROCEDURE InsertLEntry (list: LIST; info: SYSTEM.ADDRESS; size: SHORTINT): BOOLEAN;
PROCEDURE SearchLEntry (list: LIST; from: ENTRY; info: SYSTEM.ADDRESS;  key: LCompProc): ENTRY;
PROCEDURE DeleteLEntry (list: LIST; VAR entry: ENTRY);
PROCEDURE FirstLEntry (list: LIST): ENTRY;
PROCEDURE LastLEntry (list: LIST): ENTRY;
PROCEDURE NextLEntry (entry: ENTRY): ENTRY;
PROCEDURE PrevLEntry (entry: ENTRY): ENTRY;
PROCEDURE GetLEntry (entry: ENTRY; info: SYSTEM.ADDRESS): BOOLEAN;

END M_Lists.
                               
