(*----------------------------------------------------------------------*)

IMPLEMENTATION MODULE M_Popups;

FROM Portab IMPORT tCompiler, Compiler;
(*$?Compiler=Haenisch:
(* IMPLEMENTATION FR  >>> Hnisch-Modula-2 <<< *)
(*                                              *)
(*$V-   Range-Checks                            *)
(*$T-   Parameter-Checks                        *)
(*$S-   Stack-Check                             *)
(*$Y-   Runtime-Checks                          *)
(*$I-   keine Variablen-Initialisierung         *)
(*                                              *)
(*----------------------------------------------*)
 *)

(*$?Compiler=Megamax:
(* IMPLEMENTATION FR  >>> Megamax-Modula-2 <<< *)
(*                                              *)
(*$R-   Range-Checks                            *)
(*$S-   Stack-Check                             *)
(*                                              *)
(*----------------------------------------------*)
 *)

FROM SYSTEM IMPORT ADR, ADDRESS;
FROM M_Sys  IMPORT App, CallMagic;
IMPORT M_AES;


PROCEDURE AttachPopup (main, sub: M_AES.tObjctree; entry: SHORTINT);
BEGIN
 WITH App^.MagicPB^ DO
  AddrIn[0]:= main;
  AddrIn[1]:= sub;
  IntIn[0]:= entry;
  CallMagic (1701);
 END;
END AttachPopup;

PROCEDURE Popup (tree: M_AES.tObjctree; x, y, idx: SHORTINT; VAR pop: M_AES.tObjctree; VAR item: SHORTINT);
BEGIN
 WITH App^.MagicPB^ DO
  AddrIn[0]:= tree;
  IntIn[0]:= x;
  IntIn[1]:= y;
  IntIn[2]:= idx;
  CallMagic (1700);
  pop:= AddrOut[0];
  item:= IntOut[0];
 END;
END Popup;

END M_Popups.
