(*----------------------------------------------------------------------*
 *                                                                      *
 *  MAGIC        Modular  Applications  GEM  Interface  Cadre           *
 *                                                                 *
 *----------------------------------------------------------------------*
 * Version 4.00  01.01.1994   (C)1990..1994 by Peter Hellinger Software *
 *----------------------------------------------------------------------*
 *            Dieses Modul ist urheberrechtlich geschtzt.              *
 *                                                                      *
 * Die Verffentlichung des Quelltextes oder Teilen daraus, sowie die   *
 * Verbreitung des bersetzten, nicht gelinkten Codes in schriftlicher, *
 * oder maschinenlesbarer Form, insbesondere in Zeitschriften, Mail-    *
 * boxen oder anderen Medien bedarf der ausdrcklichen schriftlichen    *
 * Einverstndnisserklrung des Autors.                                 *
 *                                                                      *
 * Die Verbreitung des Moduls als Teil eines gelinkten Programms ist    *
 * fr Lizenznehmer ausdrcklich erlaubt!  Der Autor behlt sich das    *
 * Recht vor, diese Erlaubnis jederzeit und ohne Angaben von Grnden    *
 * zu widerrufen.                                                       *
 *----------------------------------------------------------------------*)

DEFINITION MODULE M_Rsc;

FROM SYSTEM IMPORT ADDRESS;

TYPE    RESOURCE =  ADDRESS;

PROCEDURE LoadRsc (name: ARRAY OF CHAR; VAR rsc: RESOURCE): BOOLEAN;
PROCEDURE RelocRsc (adr: ADDRESS; VAR rsc: RESOURCE): BOOLEAN;
PROCEDURE FreeRsc (VAR rsc: RESOURCE);
PROCEDURE GaddrRsc (rsc: RESOURCE; typ, item: SHORTINT): ADDRESS;
PROCEDURE SaddrRsc (rsc: RESOURCE; typ, item: SHORTINT; tree: ADDRESS);
PROCEDURE ObfixRsc (rsc: RESOURCE; tree: ADDRESS; objc: SHORTINT);

END M_Rsc.
 
