(*----------------------------------------------------------------------*
 *                                                                      *
 *  MAGICTOOLS   Modula's  All purpose  GEM  Interface  Cadre  Toolbox  *
 *                                                                 *
 *----------------------------------------------------------------------*
 * Version 3.30  02.02.1992     (C)90/91/92 by Peter Hellinger Software *
 *----------------------------------------------------------------------*
 *            Dieses Modul ist urheberrechtlich geschtzt.              *
 *                                                                      *
 * Die Verffentlichung des Quelltextes oder Teilen daraus, sowie die   *
 * Verbreitung des bersetzten, nicht gelinkten Codes in schriftlicher, *
 * oder maschinenlesbarer Form, insbesondere in Zeitschriften, Mail-    *
 * boxen oder anderen Medien bedarf der ausdrcklichen schriftlichen    *
 * Einverstndnisserklrung des Autors.                                 *
 *                                                                      *
 * Die Verbreitung des Moduls als Teil eines gelinkten Programms ist    *
 * fr Lizenznehmer ausdrcklich erlaubt!  Der Autor behlt sich das    *
 * Recht vor, diese Erlaubnis jederzeit und ohne Angaben von Grnden zu *
 * widerrufen.                                                          *
 *----------------------------------------------------------------------*)

DEFINITION MODULE M_Stacks;

FROM SYSTEM IMPORT ADDRESS;

TYPE    STACK;

PROCEDURE NewStack (VAR stack: STACK): BOOLEAN;
PROCEDURE DisposeStack (VAR stack: STACK);
PROCEDURE StackEmpty (stack: STACK): BOOLEAN;
PROCEDURE StackEntries (stack: STACK): LONGCARD;
PROCEDURE Push (stack: STACK; info: ADDRESS; size: SHORTINT): BOOLEAN;
PROCEDURE Pop (stack: STACK; info: ADDRESS; size: SHORTINT): BOOLEAN;

END M_Stacks.

