(*----------------------------------------------------------------------*
 *                                                                      *
 *  MAGICTOOLS   Modular  Applications  GEM  Interface  Cadre  Toolbox  *
 *                                                                 *
 *----------------------------------------------------------------------*
 * Version 4.00  01.01.1994   (C)1990..1992 by Peter Hellinger Software *
 *----------------------------------------------------------------------*
 *            Dieses Modul ist urheberrechtlich geschtzt.              *
 *                                                                      *
 * Die Verffentlichung des Quelltextes oder Teilen daraus, sowie die   *
 * Verbreitung des bersetzten, nicht gelinkten Codes in schriftlicher, *
 * oder maschinenlesbarer Form, insbesondere in Zeitschriften, Mail-    *
 * boxen oder anderen Medien bedarf der ausdrcklichen schriftlichen    *
 * Einverstndnisserklrung des Autors.                                 *
 *                                                                      *
 * Die Verbreitung des Moduls als Teil eines gelinkten Programms ist    *
 * fr Lizenznehmer ausdrcklich erlaubt!  Der Autor behlt sich das    *
 * Recht vor, diese Erlaubnis jederzeit und ohne Angaben von Grnden    *
 * zu widerrufen.                                                       *
 *----------------------------------------------------------------------*)

DEFINITION MODULE M_Xobjects;

FROM Portab IMPORT tCompiler, Compiler;
IMPORT M_AES;
FROM SYSTEM IMPORT ADDRESS;

(*$?Compiler=Haenisch: (*$K+*) *)
TYPE DrawProc = PROCEDURE (M_AES.PtrPARMBLK): SHORTINT;
(*$?Compiler=Haenisch: (*$K=*) *)

TYPE    PtrUSER_BLK =   POINTER TO USER_BLK;
        USER_BLK =      RECORD
                         ubCode: ADDRESS;
                         ubPara: M_AES.Objcspec;
                         draw:   DrawProc;
                         obType: SHORTINT;
                         priv:   ADDRESS;
                        END;

PROCEDURE InstUserdef (tree: ADDRESS; objc: SHORTINT; proc: DrawProc; private: ADDRESS): BOOLEAN;
PROCEDURE FreeUserdef (tree: ADDRESS; objc: SHORTINT);
PROCEDURE GetObtype   (tree: ADDRESS; objc: SHORTINT): SHORTINT;
PROCEDURE GetObSpec   (tree: ADDRESS; objc: SHORTINT): ADDRESS;
PROCEDURE GetPrivate  (tree: ADDRESS; objc: SHORTINT): ADDRESS;
PROCEDURE GetValues   (tree: ADDRESS; objc: SHORTINT; VAR v1, v2: LONGINT);
PROCEDURE SetValues   (tree: ADDRESS; objc: SHORTINT; v1, v2: LONGINT);
PROCEDURE SetPrivate  (tree: ADDRESS; objc: SHORTINT; priv: ADDRESS);

END M_Xobjects.

