(*----------------------------------------------------------------------*
 *                                                                      *
 *  MAGIC        Modular  Applications  GEM  Interface  Cadre           *
 *                                                                 *
 *----------------------------------------------------------------------*
 * Version 4.00  01.01.1994   (C)1990..1994 by Peter Hellinger Software *
 *----------------------------------------------------------------------*
 *            Dieses Modul ist urheberrechtlich geschtzt.              *
 *                                                                      *
 * Die Verffentlichung des Quelltextes oder Teilen daraus, sowie die   *
 * Verbreitung des bersetzten, nicht gelinkten Codes in schriftlicher, *
 * oder maschinenlesbarer Form, insbesondere in Zeitschriften, Mail-    *
 * boxen oder anderen Medien bedarf der ausdrcklichen schriftlichen    *
 * Einverstndnisserklrung des Autors.                                 *
 *                                                                      *
 * Die Verbreitung des Moduls als Teil eines gelinkten Programms ist    *
 * fr Lizenznehmer ausdrcklich erlaubt!  Der Autor behlt sich das    *
 * Recht vor, diese Erlaubnis jederzeit und ohne Angaben von Grnden    *
 * zu widerrufen.                                                       *
 *----------------------------------------------------------------------*)

DEFINITION MODULE RTD;

IMPORT SYSTEM;

TYPE DEVICE = (printer, rs232, console);

PROCEDURE Into ((* REF *)  procedure: ARRAY OF CHAR);
PROCEDURE Leaving ((* REF *)  procedure: ARRAY OF CHAR);
PROCEDURE Message ((* REF *)  string: ARRAY OF CHAR);
PROCEDURE ShowStr ((* REF *)  msg,  string: ARRAY OF CHAR);
PROCEDURE ShowVar ((* REF *)  name: ARRAY OF CHAR; VAR value: ARRAY OF SYSTEM.LOC);
PROCEDURE SetDevice (dev: DEVICE);
PROCEDURE WaitKey;

END RTD.

